--
-- Current Database: `opcfg`
--

USE `opcfg`;

CREATE TABLE `baseline` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) DEFAULT NULL,
  `description` varchar(128) DEFAULT NULL,
  `type` tinyint(4) DEFAULT '0',
  `samples` int(11) DEFAULT '5',
  `alarm` tinyint(4) DEFAULT '3',
  `multiply_up` double DEFAULT NULL,
  `multiply_down` double DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_idx` (`name`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `name_2` (`name`),
  UNIQUE KEY `name_3` (`name`),
  KEY `id_type` (`type`)
) DEFAULT CHARSET=utf8;


CREATE TABLE `baseline_calendar` (
  `baseline_id` int(11) NOT NULL DEFAULT '0',
  `date` date NOT NULL DEFAULT '0000-00-00',
  `util` tinyint(1) NOT NULL,
  `samples` int(11) DEFAULT '5',
  `alarm` tinyint(4) DEFAULT '3',
  `multiply_up` double DEFAULT NULL,
  `multiply_down` double DEFAULT NULL,
  PRIMARY KEY (`baseline_id`,`date`)
) DEFAULT CHARSET=utf8;
