/*
 * File: app/controller/BaselineList.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.controller.BaselineList', {
    extend: 'Ext.app.Controller',

    refs: [
        {
            ref: 'BaselineList',
            selector: 'baselinelist'
        },
        {
            ref: 'MainView',
            selector: '#main_view'
        }
    ],

    init: function(application) {
        this.control({
            "baselinelist #baseline_listgrid actioncolumn[action=edit_baseline]": {
                click: this.edit_baseline
            },

            "baselinelist #baseline_listgrid actioncolumn[action=delete_baseline]": {
                click: this.show_remove_popup
            },

            "baselinelist button[action=create_new_baseline]" : {
                click: this.create_new_modal_and_show
            },

            "#remove_cancel_btn" : {
                click: this.destroy_remove_popup
            },

            "#remove_confirm_btn" : {
                click: this.delete_baseline
            },

        //cannotRemovePopup {
            "#close_popup": {
                click: function(button, e, eOpts) {
                    button.up('cannot_remove_modal').destroy();
                }
            },

            "#show_me_metrics": {
                click: this.show_me_metrics
            },
        //}

            "#cancel_btn1": {
                click: function(button, e, eOpts) {
                    button.up('new_modal').destroy();
                }
            },

            "#save_new_btn1": {
                click: this.create_new_baseline
            }
        });
    },

    delete_baseline: function(button, e, eOpts) {
        var popup = button.up('remove_popup');
        var input = popup.down('#remove_confirm');

        if (input.getValue() !== 'DELETE') {
            input.setActiveError('');
            return false;
        }

        popup.store.remove(popup.record);
        popup.store.sync({
            failure: function(batch, options){
                var response = batch.proxy.getReader().rawData;

                Ext.MessageBox.show({
                    title: l["Request Status"],
                    msg: response.message,
                    icon: Ext.MessageBox.ERROR,
                    closable: true
                });
                popup.store.reload();
            },
            success: function(batch, options){
                popup.store.reload();
            }
        });
        popup.destroy();
    },

    edit_baseline: function(view, rowIndex, colIndex, item, e, record, row) {
        Ext.create('baseline_manager.model.BaselineFormLoader').load(record);
        this.getMainView().layout.setActiveItem("baseline_edit");
    },

    create_new_baseline: function(button, e, eOpts) {
        var modal = button.up('new_modal');
        var name = modal.down('#new_name1');
        var descr = modal.down('#new_descr1');

        if (name.hasActiveError() || descr.hasActiveError()){
            return false;
        }

        var record = Ext.create('baseline_manager.model.Baseline', {
            name: name.getValue(),
            description: descr.getValue()
        });

        modal.destroy();

        Ext.create('baseline_manager.model.BaselineFormLoader').load(record);

        this.getMainView().layout.setActiveItem("baseline_edit");
    },

    destroy_remove_popup: function(button, e, eOpts) {
        button.up('remove_popup').destroy();
    },

    show_remove_popup: function(view, rowIndex, colIndex, item, e, record, row) {
        var record_has_associated_metrics = (record.get('associated_metrics') > 0);

        if (record_has_associated_metrics) {
            var cannot_popup = Ext.create('baseline_manager.view.cannotRemoveModal');
            cannot_popup.record = record;
            cannot_popup.show();
            var label = cannot_popup.down('#cannot_remove_msg');
            label.setText(label.text.replace(/\[.*\]/, record.data.associated_metrics));
            return;
        }

        var remove_popup = Ext.create('baseline_manager.view.removeModal');
        remove_popup.store = view.getStore();
        remove_popup.record = record;

        remove_popup.show();

        var label = remove_popup.down('label');
        label.setText(label.text.replace(/".*"/, record.data.name));
    },

    create_new_modal_and_show: function() {
        var modal = Ext.create('widget.new_modal');
        modal.show();

        model = Ext.create('baseline_manager.model.Baseline');
        modal.down('#new_name1').setValue(model.get('name'));
        modal.down('#new_descr1').focus();
    },

    show_me_metrics: function(button, e, eOpts) {
        modal = button.up('cannot_remove_modal');
        Ext.create('baseline_manager.model.BaselineFormLoader').load(modal.record);
        this.getMainView().layout.setActiveItem("baseline_edit");

        if (modal.record.metricStore) {
            Ext.getCmp('metrics_listgrid').bindStore(modal.record.metricStore);
        }

        Ext.getCmp("content_card_container").layout.setActiveItem("content_metrics");
        modal.destroy();
    }

});
