/*
 * File: app/controller/BehaviorConfiguration.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.controller.BehaviorConfiguration', {
    extend: 'Ext.app.Controller',

    refs: [
        {
            ref: 'EditForm',
            selector: '#edit_form'
        }
    ],

    restore_form_values: function(button, e, eOpts) {
        var form = this.getEditForm().getForm();
        form.loadRecord(form.getRecord());
        this.getController('OpmonHeader').cancel_baseline_name_edition();
    },

    baseline_alarm_change: function(field, newValue, oldValue, eOpts) {
        var onlyDOWN = [];
        var onlyUP = [];

        for(i in defaultData) {
            onlyDOWN.push(Ext.clone(defaultData[i]));
            onlyDOWN[i].UP = null;

            onlyUP.push(Ext.clone(defaultData[i]));
            onlyUP[i].DOWN = null;
        }

        var std_val_up = Ext.getCmp('std_val_up');
        var std_val_down = Ext.getCmp('std_val_down');

        switch (field.getValue()) {
            case Baseline.Constants.UPPER_LIMIT:
                Ext.getCmp("baseline_std_up").show();
                Ext.getCmp("baseline_std_down").hide();
                chart.dataProvider = onlyUP;
                std_val_up.fireEventArgs('change', [std_val_up, std_val_up.getValue()]);
                chart.getGraphById('UP').visibleInLegend = true;
                chart.getGraphById('DOWN').visibleInLegend = false;
                break;
            case Baseline.Constants.DOWN_LIMIT:
                Ext.getCmp("baseline_std_up").hide();
                Ext.getCmp("baseline_std_down").show();
                chart.dataProvider = onlyDOWN;
                std_val_down.fireEventArgs('change', [std_val_down, std_val_down.getValue()]);
                chart.getGraphById('UP').visibleInLegend = false;
                chart.getGraphById('DOWN').visibleInLegend = true;
                break;
            case Baseline.Constants.BOTH_LIMIT:
                Ext.getCmp("baseline_std_up").show();
                Ext.getCmp("baseline_std_down").show();
                chart.dataProvider = defaultData;
                std_val_up.fireEventArgs('change', [std_val_up, std_val_up.getValue()]);
                std_val_down.fireEventArgs('change', [std_val_down, std_val_down.getValue()]);
                chart.getGraphById('UP').visibleInLegend = true;
                chart.getGraphById('DOWN').visibleInLegend = true;
                break;
        }

        chart.validateData();

        return false;
    },

    onDatemenuSelect: function(datepicker, date, eOpts) {
        Ext.getCmp('day_general').setTitle(Ext.Date.format(date, "d " + t('\\o\\f') + " F " + t('\\o\\f') + " Y"));
        Ext.getCmp('day_alarm_options').setTitle(Ext.Date.format(date, "d " + t('\\o\\f') + " F " + t('\\o\\f') + " Y"));

        Ext.Date.clearTime(date);
        this.set_assignment_value(date);
        this.set_type_of_day(date);
        this.populate_custom_values(date);


    },

    onBaseline_seasonChange1: function(field, newValue, oldValue, eOpts) {
        if (field.getValue() == Baseline.Constants.CALENDAR) {
            Ext.getCmp("baseline_season").maxWidth = 200;
        }

        this.baseline_season_change(field, newValue, oldValue, eOpts);

        return false;
    },

    edit_associated_metrics: function(button, e, eOpts) {
        Ext.getCmp("content_card_container").layout.setActiveItem("content_metrics");
    },

    baseline_season_change: function(field, newValue, oldValue, eOpts) {
        switch(field.getValue()) {
            case Baseline.Constants.DAY:
                Ext.getCmp("window_legend").setValue(t('days'));
                Ext.getCmp("calendar_btn").hide();
                break;
            case Baseline.Constants.WEEK:
                Ext.getCmp("window_legend").setValue(t('weeks'));
                Ext.getCmp("calendar_btn").hide();
                break;
            case Baseline.Constants.MONTH:
                Ext.getCmp("window_legend").setValue(t('months'));
                Ext.getCmp("calendar_btn").hide();
                break;
            case Baseline.Constants.CALENDAR:
                Ext.getCmp("window_legend").setValue(t('months'));
                Ext.getCmp("calendar_btn").show();
                break;
        }

        this.onChartdivAfterLayout();

        return false;
    },

    onBaseline_seasonFocus: function(component, e, eOpts) {
        Ext.getCmp("window_control_container").layout.setActiveItem("window_legend");
        Ext.getCmp("slider_control_down").layout.setActiveItem("std_legend_down");
        Ext.getCmp("slider_control_up").layout.setActiveItem("std_legend_up");
    },

    onCalendarBtnClick: function(button, e, eOpts) {
        Ext.getCmp("card_container").layout.setActiveItem("calendar_defs");
    },

    onStd_valAfterRender1: function(component, eOpts) {
        Ext.getCmp("window_val").setValue(Ext.getCmp("window_slider").getValue());
    },

    onStd_valChange1: function(field, newValue, oldValue, eOpts) {
        Ext.getCmp("window_slider").setValue(newValue);
        return false;
    },

    onSliderChange1: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("window_val").setValue(newValue);
        return false;
    },

    onWindow_sliderChangeComplete: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("window_val").focus();
    },

    onBaseline_windowFocus: function(component, e, eOpts) {
        Ext.getCmp("window_control_container").layout.setActiveItem("window_slider");
        Ext.getCmp("slider_control_down").layout.setActiveItem("std_legend_down");
        Ext.getCmp("slider_control_up").layout.setActiveItem("std_legend_up");
    },

    onStd_valAfterRender: function(component, eOpts) {
        Ext.getCmp("std_val_up").setValue(Ext.getCmp("std_slider_up").getValue());
    },

    onBaseline_alarmFocus: function(component, e, eOpts) {
        Ext.getCmp("window_control_container").layout.setActiveItem("window_legend");
        Ext.getCmp("slider_control_down").layout.setActiveItem("std_legend_down");
        Ext.getCmp("slider_control_up").layout.setActiveItem("std_legend_up");
    },

    onStd_valChange: function(field, newValue, oldValue, eOpts) {
        chart.dataProvider.forEach(function(point){
            point.UP = (parseInt(point.VALUE) + (Baseline.Constants.STD_DEV * newValue)).toFixed(2);
        });

        chart.validateData();

        Ext.getCmp("std_slider_up").setValue(newValue);
    },

    onStd_val_upFocus: function(component, e, eOpts) {
        Ext.getCmp("window_control_container").layout.setActiveItem("window_legend");
        Ext.getCmp("slider_control_up").layout.setActiveItem("std_slider_up");
        Ext.getCmp("slider_control_down").layout.setActiveItem("std_legend_down");
    },

    onSliderChange: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("std_val_up").setValue(newValue);
        return false;
    },

    onStd_slider_upChangeComplete: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("std_val_up").focus();
    },

    onStd_valAfterRender2: function(component, eOpts) {
        Ext.getCmp("std_val_down").setValue(Ext.getCmp("std_slider_down").getValue());
    },

    onStd_valChange2: function(field, newValue, oldValue, eOpts) {
        chart.dataProvider.forEach(function(point){
            point.DOWN = (parseInt(point.VALUE) - (Baseline.Constants.STD_DEV * newValue)).toFixed(2);
        });

        chart.validateData();
        Ext.getCmp("std_slider_down").setValue(newValue);

        return false;
    },

    onStd_val_downFocus: function(component, e, eOpts) {
        Ext.getCmp("window_control_container").layout.setActiveItem("window_legend");
        Ext.getCmp("slider_control_up").layout.setActiveItem("std_legend_up");
        Ext.getCmp("slider_control_down").layout.setActiveItem("std_slider_down");
    },

    onSliderChange2: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("std_val_down").setValue(newValue);
    },

    onStd_slider_downChangeComplete: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("std_val_down").focus();
    },

    onBackBtnClick: function(button, e, eOpts) {
        this.onChartdivAfterLayout();
        Ext.getCmp("card_container").layout.setActiveItem("behavior_defs");
    },

    onStd_valAfterRender4: function(component, eOpts) {
        Ext.getCmp("day_std_val_up").setValue(Ext.getCmp("std_slider_up").getValue());
    },

    on_day_std_val_up_change: function(field, newValue, oldValue, eOpts) {

        var date = Ext.getCmp('calendar_month').picker.getValue();
        var point = chart.dataProvider[date.getDate() - 1];
        point.UP = (parseInt(point.VALUE) + (Baseline.Constants.STD_DEV * newValue)).toFixed(2);
        chart.validateData();
        Ext.getCmp("day_std_slider_up").setValue(newValue);
    },

    onStd_val_upFocus1: function(component, e, eOpts) {
        Ext.getCmp("day_slider_control_up").layout.setActiveItem("day_std_slider_up");
        Ext.getCmp("day_slider_control_down").layout.setActiveItem("day_std_legend_down");
    },

    onSliderChange4: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("day_std_val_up").setValue(newValue);
    },

    onDay_std_slider_upChangeComplete: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("day_std_val_up").focus();
    },

    onStd_valAfterRender22: function(component, eOpts) {
        Ext.getCmp("day_std_val_down").setValue(Ext.getCmp("std_slider_down").getValue());
    },

    on_day_std_val_down_change: function(field, newValue, oldValue, eOpts) {

        var date = Ext.getCmp('calendar_month').picker.getValue();
        var point = chart.dataProvider[date.getDate() - 1];
        point.DOWN = (parseInt(point.VALUE) - (Baseline.Constants.STD_DEV * newValue)).toFixed(2);
        chart.validateData();

        Ext.getCmp("day_std_slider_down").setValue(newValue);
    },

    onStd_val_downFocus1: function(component, e, eOpts) {
        Ext.getCmp("day_slider_control_up").layout.setActiveItem("day_std_legend_up");
        Ext.getCmp("day_slider_control_down").layout.setActiveItem("day_std_slider_down");
    },

    onSliderChange22: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("day_std_val_down").setValue(newValue);
    },

    onDay_std_slider_downChangeComplete: function(slider, newValue, thumb, eOpts) {
        Ext.getCmp("day_std_val_down").focus();
    },

    onCalendarOverviewClick: function(button, e, eOpts) {
        Ext.getCmp("content_card_container").layout.setActiveItem("content_overview");
    },

    onNotWorkDayUseClick: function(button, e, eOpts) {
        Ext.getCmp("day_type_card_container").layout.setActiveItem("day_type_un");
        this.add_or_remove_highlight_date(Baseline.Constants.CLS_CUSTOMIZED + " " + Baseline.Constants.CLS_CHANGED);
        this.set_assignment_value(Ext.getCmp('calendar_month').picker.getValue());
    },

    onWorkDayUnClick: function(button, e, eOpts) {
        Ext.getCmp("day_type_card_container").layout.setActiveItem("day_type_use");
        this.add_or_remove_highlight_date(Baseline.Constants.CLS_CUSTOMIZED + " " + Baseline.Constants.CLS_CHANGED);
        this.set_assignment_value(Ext.getCmp('calendar_month').picker.getValue());
    },

    onCustomizeAlarmForThisDayClick: function(button, e, eOpts) {
        Ext.getCmp("day_card_container").layout.setActiveItem("alarm_custom");
    },

    onBtnOverviewCalendarText2Click: function(button, e, eOpts) {
        Ext.getCmp("content_card_container").layout.setActiveItem("content_overview");
    },

    set_non_work_days_on_calendar: function(component, eOpts) {
        Ext.create('baseline_manager.model.DateMenuHelper').highlight_font_of_days(Ext.getCmp('calendar_month'));
    },

    set_initial_day_type_card_properties: function(component, eOpts) {
        var now = new Date();
        this.set_assignment_value(now);
        this.set_type_of_day(now);
    },

    restore_default_calendar: function(button, e, eOpts) {
        var alarm_custom = Ext.getCmp('alarm_custom');
        var edit_form = this.getEditForm();
        var values = edit_form.getForm().getValues();
        var helper = Ext.create('model.DateMenuHelper');
        var datemenu = Ext.getCmp('calendar_month');

        alarm_custom.getForm().setValues({
            ex_alarm: values.alarm,
            ex_multiply_up: values.multiply_up,
            ex_multiply_down: values.multiply_down
        });

        this.remove_exception_from_calendar_array();
        helper.remove_highlight_background_of_changed_day(datemenu.picker, datemenu.picker.getValue());

    },

    onCalendarDefsActivate: function(component, eOpts) {
        var date = new Date();
        Ext.Date.clearTime(date);
        this.set_assignment_value(date);
        this.set_type_of_day(date);
        this.populate_custom_values(date);
    },

    onSaveDefinitionsClick: function(button, e, eOpts) {
        var alarm_custom = Ext.getCmp('alarm_custom');
        var edit_form = this.getEditForm();
        var baseline = edit_form.getForm().getValues();

        var values = alarm_custom.getForm().getValues();

        if (values.ex_multiply_up != baseline.multiply_up
            || values.ex_multiply_down != baseline.multiply_down
            || values.ex_alarm != baseline.alarm) {
            this.add_exception_to_calendar_array();
        }

        Ext.getCmp("day_card_container").layout.setActiveItem("day_defs");

    },

    onDay_alarmChange: function(field, newValue, oldValue, eOpts) {
        var date = Ext.getCmp('calendar_month').picker.getValue();
        var data = chart.dataProvider;

        var onlyDOWN = [];
        var onlyUP = [];

        for(i in data) {
            onlyDOWN.push(Ext.clone(data[i]));
            onlyUP.push(Ext.clone(data[i]));

            if (i == date.getDate()) {
                delete onlyDOWN[i].UP;
                delete onlyUP[i].DOWN;
            }
        }

        var day_std_val_up = Ext.getCmp('day_std_val_up');
        var day_std_val_down = Ext.getCmp('day_std_val_down');

        switch (field.getValue()) {
            case Baseline.Constants.UPPER_LIMIT:
                Ext.getCmp("day_baseline_std_up").show();
                Ext.getCmp("day_baseline_std_down").hide();
                chart.dataProvider = onlyUP;
                chart.validateData();
                day_std_val_up.fireEventArgs('change', [day_std_val_up, day_std_val_up.getValue()]);
                break;
            case Baseline.Constants.DOWN_LIMIT:
                Ext.getCmp("day_baseline_std_up").hide();
                Ext.getCmp("day_baseline_std_down").show();
                chart.dataProvider = onlyDOWN;
                chart.validateData();
                day_std_val_down.fireEventArgs('change', [day_std_val_down, day_std_val_down.getValue()]);
                break;
            case Baseline.Constants.BOTH_LIMIT:
                Ext.getCmp("day_baseline_std_up").show();
                Ext.getCmp("day_baseline_std_down").show();
                chart.dataProvider = data;
                chart.validateData();
                day_std_val_up.fireEventArgs('change', [day_std_val_up, day_std_val_up.getValue()]);
                day_std_val_down.fireEventArgs('change', [day_std_val_down, day_std_val_down.getValue()]);
                break;
        }

        chart.getGraphById('UP').visibleInLegend = true;
        chart.getGraphById('DOWN').visibleInLegend = true;
    },

    on_change_calendar_month: function(component, x, y, eOpts) {
        this.highlight_calendar();
        this.configureCalendarChart();
    },

    onChartdivAfterRender: function(component, eOpts) {
        defaultData = this.createDefaultData(new Date);

        chart = AmCharts.makeChart("chartdiv", {

            "type": "serial",
            "categoryField": "category",
            "maxSelectedSeries": 50,
            "maxSelectedTime": -4,
            "startDuration": 1,
            "addClassNames": true,
            "autoDisplay": true,
            "theme": "default",
            "sequencedAnimation": false,
            "fontFamily": "Tahoma, sans serif",
            "categoryAxis": {
                "gridPosition": "start"
            },
            "chartCursor": {},
            "trendLines": [],
            "graphs": [{
                "balloonText": "[[title]]: [[value]]",
                "id": "UP",
                "lineColor": "#5687C1",
                "title": "UP",
                "connect": false,
                "valueField": "UP",
                "lineThickness": 2,
                "animationPlayed": true,
                "bullet": "round",
                "bulletSize": 6,
                "fillToGraph": "VALUE",
                "fillAlphas": 0.14,
                "fillColors": "#5687C1"
            }, {
                "balloonText": "[[title]]: [[value]]",
                "bulletBorderThickness": 0,
                "id": "VALUE",
                "labelOffset": -1,
                "lineColor": "#888",
                "title": "BASELINE",
                "valueField": "VALUE",
                "animationPlayed": true,
                "bullet": "round",
                "bulletSize": 6
            }, {
                "balloonText": "[[title]]: [[value]]",
                "fixedColumnWidth": -1,
                "id": "DOWN",
                "labelOffset": -1,
                "lineColor": "#5687C1",
                "negativeBase": -2,
                "periodSpan": 0,
                "title": "DOWN",
                "lineThickness": 2,
                "connect": false,
                "valueField": "DOWN",
                "animationPlayed": true,
                "bullet": "round",
                "bulletSize": 6,
                "fillToGraph": "VALUE",
                "fillAlphas": 0.14,
                "fillColors": "#5687C1"
            }],
            "guides": [],
            "valueAxes": [
                {
                    "maximum": 26,
                    "minimum": -6
                }
            ],
            "allLabels": [],
            "balloon": {},
            "export": {
                "enabled": false
            },
            "legend": {
                "labelWidth": 0,
                "useGraphSettings": true
            },
            "titles": [],
            "dataProvider": defaultData
        });
    },

    onChartdivAfterLayout: function(container, layout, eOpts) {

        var cmd = Ext.getCmp('baseline_alarm');
        cmd.fireEventArgs('change', [cmd, cmd.getValue()]);

        if (Ext.getCmp('baseline_season').getValue() == Baseline.Constants.CALENDAR) {
            this.configureCalendarChart();
        }
    },

    add_exception_to_calendar_array: function() {
        var baseline = this.getEditForm().getRecord();
        var datemenu = Ext.getCmp('calendar_month');
        var form = Ext.getCmp('alarm_custom');

        var exception = Ext.create('model.BaselineCalendar', {
            baseline_id: baseline.get('id'),
            date: datemenu.picker.getValue(),
            util: (Ext.getCmp("day_type_card_container").layout.getActiveItem().id == 'day_type_use')
        });

        form.updateRecord(exception);
        baseline.calendar().add(exception);
        baseline.setDirty();
    },

    set_assignment_value: function(date, component) {
        var helper = Ext.create('model.DateMenuHelper');
        var start = helper.get_first_day_of_month(date);
        var index;
        var datemenu = Ext.getCmp('calendar_month');
        var is_work = helper.is_work_day(date, datemenu);
        var is_changed = helper.is_changed(date, datemenu, Baseline.Constants.CLS_CHANGED);

        component = component || Ext.getCmp('assignment');
        is_work = (is_changed) ? ! is_work : is_work;

        if (is_work) {
            index = helper.calculate_work_day_index_until_date(start, date, datemenu);
        } else {
            index = helper.calculate_non_work_day_index_until_date(start, date, datemenu);
        }

        component.setValue(index + " " + ((is_work) ? t('work day') : t('non work day')) + " " + t('of the month'));
    },

    set_type_of_day: function(date) {
        var helper = Ext.create('model.DateMenuHelper');
        var datemenu = Ext.getCmp('calendar_month');
        var is_work = helper.is_work_day(date, datemenu);
        var is_changed = helper.is_changed(date, datemenu, Baseline.Constants.CLS_CHANGED);
        var is_work = (is_changed) ? ! is_work : is_work;

        if (is_work) {
            Ext.getCmp("day_type_card_container").layout.setActiveItem("day_type_use");
        } else {
            Ext.getCmp("day_type_card_container").layout.setActiveItem("day_type_un");
        }
    },

    add_or_remove_highlight_date: function(cls) {
        var datemenu = Ext.getCmp('calendar_month');
        var helper = Ext.create('model.DateMenuHelper');
        var is_changed = helper.is_changed(datemenu.picker.getValue(), datemenu, cls);

        if (is_changed) {
            this.remove_exception_from_calendar_array();
            helper.remove_highlight_background_of_changed_day(datemenu.picker, datemenu.picker.getValue(), cls);
        } else {
            this.add_exception_to_calendar_array();
            helper.highlight_background_of_changed_day(datemenu.picker, datemenu.picker.getValue(), cls);
        }
    },

    populate_custom_values: function(date) {
        var record = this.getEditForm().getRecord();
        var alarm_custom = Ext.getCmp('alarm_custom');
        var edit_form = this.getEditForm();
        var values = edit_form.getForm().getValues();

        var is_exception = false;
        record.calendar().each(function (exception){
            if (exception.get('date').getTime() === date.getTime()) {
                Ext.getCmp('alarm_custom').loadRecord(exception);
                is_exception = true;
                return;
            }
        });

        if ( ! is_exception) {
            alarm_custom.getForm().setValues({
                ex_alarm: values.alarm,
                ex_multiply_up: values.multiply_up,
                ex_multiply_down: values.multiply_down
            });
        }
    },

    remove_exception_from_calendar_array: function() {
        var baseline = this.getEditForm().getRecord();
        var datemenu = Ext.getCmp('calendar_month');

        var exception = baseline.calendar().findRecord('date', datemenu.picker.getValue());
        baseline.calendar().remove(exception);
        baseline.setDirty();
    },

    highlight_calendar: function() {
        var baseline = this.getEditForm().getRecord();
        var calendar = baseline.calendar();

        var datemenu = Ext.getCmp('calendar_month');
        var helper = Ext.create('model.DateMenuHelper');

        helper.remove_highlight_background(datemenu.picker);

        var is_changed = false;

        calendar.each(function (item){
            is_changed = (helper.is_work_day(item.get('date')) !== item.get('util'));
            if (is_changed) {
                helper.highlight_background_of_changed_day(
                    datemenu.picker,
                    item.get('date'),
                    Baseline.Constants.CLS_CUSTOMIZED + " " + Baseline.Constants.CLS_CHANGED
                );
            } else {
                helper.highlight_background_of_changed_day(datemenu.picker, item.get('date'));
            }
        });
    },

    createDefaultData: function(date) {
        var rawData = [
            {
                "category": "01",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "02",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "03",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "04",
                "UP": "10",
                "VALUE": "9",
                "DOWN": "8"
            },
            {
                "category": "05",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "06",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "07",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "08",
                "UP": "10",
                "VALUE": "9",
                "DOWN": "8"
            },
            {
                "category": "09",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "10",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "11",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "12",
                "UP": "10",
                "VALUE": "9",
                "DOWN": "8"
            },
            {
                "category": "13",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "14",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "15",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "16",
                "UP": "10",
                "VALUE": "9",
                "DOWN": "8"
            },
            {
                "category": "17",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "18",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "19",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "20",
                "UP": "10",
                "VALUE": "9",
                "DOWN": "8"
            },
            {
                "category": "21",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "22",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "23",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "24",
                "UP": "10",
                "VALUE": "9",
                "DOWN": "8"
            },
            {
                "category": "25",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "26",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "27",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "28",
                "UP": "10",
                "VALUE": "9",
                "DOWN": "8"
            },
            {
                "category": "29",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            },
            {
                "category": "30",
                "UP": "12",
                "VALUE": "11",
                "DOWN": "10"
            },
            {
                "category": "31",
                "UP": "11",
                "VALUE": "10",
                "DOWN": "9"
            }

        ];

        var temp = [];

        var latest_day_of_month = Ext.create("baseline_manager.model.DateMenuHelper").get_last_day_of_month(date).getDate();
        for (var i = 0; i < latest_day_of_month; i++) {
            temp.push(Ext.clone(rawData[i]));
        }

        return temp;
    },

    configureCalendarChart: function() {
        var date = Ext.getCmp('calendar_month').picker.getValue()
        var data = this.createDefaultData(date);

        var calendar = this.getEditForm().getRecord().calendar();


        var std_val_up = Ext.getCmp('std_val_up');
        var std_val_down = Ext.getCmp('std_val_down');
        var baseline_alarm = Ext.getCmp('baseline_alarm');
        data.forEach(function (point){
            if (baseline_alarm.getValue() == Baseline.Constants.UPPER_LIMIT) {
                point.UP = (parseInt(point.VALUE) + (Baseline.Constants.STD_DEV * std_val_up.getValue())).toFixed(2);
                delete point.DOWN;
            }

            if (baseline_alarm.getValue() == Baseline.Constants.DOWN_LIMIT) {
                point.DOWN = (parseInt(point.VALUE) - (Baseline.Constants.STD_DEV * std_val_down.getValue())).toFixed(2);
                delete point.UP;
            }

            if (baseline_alarm.getValue() == Baseline.Constants.BOTH_LIMIT) {
                point.UP = (parseInt(point.VALUE) + (Baseline.Constants.STD_DEV * std_val_up.getValue())).toFixed(2);
                point.DOWN = (parseInt(point.VALUE) - (Baseline.Constants.STD_DEV * std_val_down.getValue())).toFixed(2);
            }

        });

        var point;
        calendar.each(function (item){
            if (date.getMonth() == item.get('date').getMonth()) {
                point = data[item.get('date').getDate() - 1];
                point.UP = (parseInt(point.VALUE) + (Baseline.Constants.STD_DEV * item.get('multiply_up'))).toFixed(2);
                point.DOWN = (parseInt(point.VALUE) - (Baseline.Constants.STD_DEV * item.get('multiply_down'))).toFixed(2);

                if (item.get('alarm') == Baseline.Constants.UPPER_LIMIT) {
                    delete point.DOWN;
                }

                if (item.get('alarm') == Baseline.Constants.DOWN_LIMIT) {
                    delete point.UP;
                }
            }
        });


        chart.dataProvider = data;
        chart.validateData();
    },

    init: function(application) {
        this.control({
            "#edit_form button[action=restore_form_values]": {
                click: this.restore_form_values
            },
            "#baseline_alarm": {
                change: this.baseline_alarm_change,
                focus: this.onBaseline_alarmFocus
            },
            "#calendar_month": {
                select: this.onDatemenuSelect,
                afterrender: this.set_non_work_days_on_calendar,
                move: this.on_change_calendar_month
            },
            "#baseline_algh": {
                change: this.onBaseline_seasonChange1
            },
            "#edit_metrics_btn": {
                click: this.edit_associated_metrics
            },
            "#baseline_season": {
                change: this.baseline_season_change,
                focus: this.onBaseline_seasonFocus
            },
            "#calendar_btn": {
                click: this.onCalendarBtnClick
            },
            "#window_val": {
                afterrender: this.onStd_valAfterRender1,
                change: this.onStd_valChange1,
                focus: this.onBaseline_windowFocus
            },
            "#window_slider": {
                change: this.onSliderChange1,
                changecomplete: this.onWindow_sliderChangeComplete
            },
            "#std_val_up": {
                afterrender: this.onStd_valAfterRender,
                change: this.onStd_valChange,
                focus: this.onStd_val_upFocus
            },
            "#std_slider_up": {
                change: this.onSliderChange,
                changecomplete: this.onStd_slider_upChangeComplete
            },
            "#std_val_down": {
                afterrender: this.onStd_valAfterRender2,
                change: this.onStd_valChange2,
                focus: this.onStd_val_downFocus
            },
            "#std_slider_down": {
                change: this.onSliderChange2,
                changecomplete: this.onStd_slider_downChangeComplete
            },
            "#back_btn": {
                click: this.onBackBtnClick
            },
            "#day_std_val_up": {
                afterrender: this.onStd_valAfterRender4,
                change: this.on_day_std_val_up_change,
                focus: this.onStd_val_upFocus1
            },
            "#day_std_slider_up": {
                change: this.onSliderChange4,
                changecomplete: this.onDay_std_slider_upChangeComplete
            },
            "#day_std_val_down": {
                afterrender: this.onStd_valAfterRender22,
                change: this.on_day_std_val_down_change,
                focus: this.onStd_val_downFocus1
            },
            "#day_std_slider_down": {
                change: this.onSliderChange22,
                changecomplete: this.onDay_std_slider_downChangeComplete
            },
            "#calendar_overview": {
                click: this.onCalendarOverviewClick
            },
            "#not_work_day_use": {
                click: this.onNotWorkDayUseClick
            },
            "#work_day_un": {
                click: this.onWorkDayUnClick
            },
            "#customize_alarm_for_this_day": {
                click: this.onCustomizeAlarmForThisDayClick
            },
            "#btn_overview_calendar_text2": {
                click: this.onBtnOverviewCalendarText2Click
            },
            "#day_type_card_container": {
                afterrender: this.set_initial_day_type_card_properties
            },
            "#calendar_month_restore_day": {
                click: this.restore_default_calendar
            },
            "#calendar_defs": {
                activate: this.onCalendarDefsActivate
            },
            "#save_definitions": {
                click: this.onSaveDefinitionsClick
            },
            "#day_alarm": {
                change: this.onDay_alarmChange
            },
            "#chartdiv": {
                afterrender: this.onChartdivAfterRender,
                afterlayout: this.onChartdivAfterLayout
            }
        });
    }

});
