/*
 * File: app/controller/MetricsList.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.controller.MetricsList', {
    extend: 'Ext.app.Controller',

    onAddNewMetricsClick: function(button, e, eOpts) {
        Ext.getCmp("add_metric").show();
    },

    onBack_from_metrics_listClick: function(button, e, eOpts) {
        Ext.getCmp("content_card_container").layout.setActiveItem("content_behavior");
    },

    onChooseElementTypeChange: function(field, newValue, oldValue, eOpts) {
        switch (newValue) {
            case "host":
                Ext.getCmp("add_metric_service_column").show();
                Ext.getCmp("choose_host").hide();
                Ext.getCmp("choose_element").setValue("");
                Ext.getCmp("choose_element").setFieldLabel(t('Host origin of new metrics'));
                Ext.getCmp("choose_element").show();
                Ext.getCmp("choose_metrics_fieldset").hide();
                Ext.getCmp("choose_metrics_list").hide();
                break;
            case "service":
                Ext.getCmp("add_metric_service_column").hide();
                Ext.getCmp("choose_host").setValue("");
                Ext.getCmp("choose_host").show();
                Ext.getCmp("choose_element").setValue("");
                Ext.getCmp("choose_element").setFieldLabel(t('Service origin of new metrics'));
                Ext.getCmp("choose_element").hide();
                Ext.getCmp("choose_metrics_fieldset").hide();
                Ext.getCmp("choose_metrics_list").hide();
                break;
            case "hostgroup":
                Ext.getCmp("add_metric_service_column").hide();
                Ext.getCmp("choose_host").hide();
                Ext.getCmp("choose_element").setValue("");
                Ext.getCmp("choose_element").setFieldLabel(t('Hostgroup origin of new metrics'));
                Ext.getCmp("choose_element").show();
                Ext.getCmp("choose_metrics_fieldset").hide();
                Ext.getCmp("choose_metrics_list").hide();
                break;
            case "servicegroup":
                Ext.getCmp("add_metric_service_column").hide();
                Ext.getCmp("choose_host").hide();
                Ext.getCmp("choose_element").setValue("");
                Ext.getCmp("choose_element").setFieldLabel(t('Servicegroup origin of new metrics'));
                Ext.getCmp("choose_element").show();
                Ext.getCmp("choose_metrics_fieldset").hide();
                Ext.getCmp("choose_metrics_list").hide();
                break;
        }
    },

    onChooseElementChange: function(field, newValue, oldValue, eOpts) {
        var cmb_host = Ext.getCmp("choose_host");
        var metrics = Ext.getCmp("choose_metrics_list");

        if (newValue !== null) {
            var store = Ext.create('store.Metrics').reload({
                params: {host_id: cmb_host.getValue(), service_id: newValue.toString().split('!')[1]},
                url: '/opmon/seagull/www/index.php/wsconnector/action/getmetrics/'
            });
            Ext.getCmp("choose_metrics_fieldset").show();
            metrics.show();
            metrics.bindStore(store);

        }
    },

    onChooseHostChange: function(field, newValue, oldValue, eOpts) {
        var choose_element = field.up().down('#choose_element');
        if (newValue !== null) {
            choose_element.reset();
            choose_element.show();
            choose_element.bindStore(Ext.create('store.WsJson').reload({
                storeId: 'Services',
                params: {host_id: newValue, formTo: 1},
                url: '/opmon/seagull/www/index.php/wsconnector/action/getservices/'
            }));
        }
    },

    onAdd_metrics_max_minClick: function(tool, e, eOpts) {
        var is_metrics_list_panel_hidden = Ext.getCmp("metrics_listgrid").isHidden();
        if (is_metrics_list_panel_hidden) {
            Ext.getCmp("metrics_listgrid").show();
            tool.setType("maximize");
            Ext.getCmp("add_metric").flex = 0;
            Ext.getCmp("content_metrics").doLayout();
        } else {
            Ext.getCmp("metrics_listgrid").hide();
            tool.setType("minimize");
            Ext.getCmp("add_metric").flex = 1;
            Ext.getCmp("content_metrics").doLayout();
        }
    },

    populate_choose_host: function(component, eOpts) {
        component.store = Ext.create('store.WsJson').reload({
            storeId: 'Hosts',
            url: '/opmon/seagull/www/index.php/wsconnector/action/gethosts/'
        });
    },

    add_metrics_to_baseline: function(button, e, eOpts) {
        var metrics = Ext.getCmp("choose_metrics_list");
        var metrics_list = Ext.getCmp("metrics_listgrid");
        var records = metrics.getSelectionModel().getSelection();

        if (records.length > 0) {

            Ext.Array.each(records, function(item) {
                if ( ! metrics_list.store.findRecord('metric_id', item.get('metric_id'))){
                    metrics_list.store.add(item);
                }
            });

            metrics.store.remove(records);
            Ext.getCmp('edit_form').getRecord().dirty = true;
        }

    },

    desassociate_an_specific_metric: function(view, rowIndex, colIndex, item, e, record, row) {
        var cmb_choose_element = Ext.getCmp('choose_element');
        var metrics = Ext.getCmp("choose_metrics_list");
        var record_doesnt_is_in_store = !(metrics.getStore().findRecord('metric_id', record.get('metric_id')));
        var chosen_elements_are_parents_of_record = ((cmb_choose_element.getValue() === record.get('parents_ids')));

        if (chosen_elements_are_parents_of_record && record_doesnt_is_in_store) {
            metrics.getStore().add(record);
        }

        view.getStore().remove(record);
        Ext.getCmp('edit_form').getRecord().dirty = true;
    },

    init: function(application) {
        this.control({
            "#add_new_metrics": {
                click: this.onAddNewMetricsClick
            },
            "#back_from_metrics_list": {
                click: this.onBack_from_metrics_listClick
            },
            "#choose_element_type": {
                change: this.onChooseElementTypeChange
            },
            "#choose_element": {
                change: this.onChooseElementChange
            },
            "#choose_host": {
                change: this.onChooseHostChange,
                afterrender: this.populate_choose_host
            },
            "#add_metrics_max_min": {
                click: this.onAdd_metrics_max_minClick
            },
            "#add_metrics_btn1": {
                click: this.add_metrics_to_baseline
            },
            "#desassociate_metric": {
                click: this.desassociate_an_specific_metric
            }
        });
    }

});
