/*
 * File: app/controller/OpmonHeader.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.controller.OpmonHeader', {
    extend: 'Ext.app.Controller',

    refs: [
        {
            ref: 'MainContainer',
            selector: '#title_card_container'
        },
        {
            ref: 'BaselineEdit',
            selector: 'baselineedit'
        },
        {
            ref: 'EditForm',
            selector: '#edit_form'
        }
    ],

    init: function(application) {
        this.control({

            "#title_container button": {
                click: function(button, e, eOpts) {
                    this.getMainContainer().layout.setActiveItem("title_container_edit");
                }
            },

            "#crud_bar button[action=cancel_edition]": {
                click: this.cancel_edition
            },

            "#title_container_edit container button[text=Cancelar]": {
                click: this.cancel_baseline_name_edition
            },

            "#save_name": {
                click: this.save_baseline_name_and_description
            },

            "#toolbarcard button[action=create_new_baseline]": {
                click: this.create_new_baseline
            },

            "#change_cancel_btn": {
                click: function(button, e, eOpts) {
                    button.up('change_modal').destroy();
                }
            },

            "#change_dontsave_btn": {
                click: this.dontsave_baseline_changes
            },

            "#change_save_btn" : {
                click: this.change_save_btn_clicked
            },

            "#saved_combo": {
                select: this.cmb_baselines_change
            },

            "#save_btn": {
                click: this.save_baseline_on_database
            },

            "#save_report_as2": {
                click: this.baseline_save_as
            },

            "#save_as_cancel_btn": {
                click: this.modal_save_as_cancel_btn
            },

            "#save_as_new_btn": {
                click: this.modal_save_as_new_btn
            }

        });

    },

    cancel_baseline_name_edition: function(button, e, eOpts) {
        var record = this.getMainContainer().down('#edit_baseline_name').getForm().getRecord();
        this.getMainContainer().down('#edit_baseline_name').loadRecord(record);
        this.getMainContainer().layout.setActiveItem("title_container_view");
    },

    save_baseline_name_and_description: function(button, e, eOpts) {
        var form = this.getMainContainer().down('#edit_baseline_name');
        var record = form.getForm().getRecord();
        form.getForm().updateRecord(record);

        this.getMainContainer().layout.setActiveItem("title_container_view");

        var name = record.get('name');

        if (name.length > 60) {
            name = name.substr(0,60) + "...";
        }

        this.getBaselineEdit().down('#main_title').setValue(name);
    },

    create_new_baseline: function(button, e, eOpts) {
        if ( ! this.are_there_changes_on_form()) {
            this.getController('BaselineList').create_new_modal_and_show();
            return;
        }

        this.show_change_modal();
        var modal = Ext.getCmp('change_modal');
        modal.called_by = 'create_new_baseline';
    },

    are_there_changes_on_form: function() {
        var edit_form = this.getEditForm().getForm();
        var edit_baseline_name = this.getMainContainer().down('#edit_baseline_name').getForm();

        if (edit_baseline_name.getRecord().dirty || edit_form.getRecord().dirty) {
            return true;
        }

        edit_form.updateRecord();
        var dirty = edit_form.getRecord().dirty;
        edit_form.getRecord().reject();

        return dirty;
    },

    show_change_modal: function() {
        var change_popup = Ext.create('baseline_manager.view.changeModal');
        change_popup.record = Ext.create('baseline_manager.model.BaselineFormLoader').dump();
        var label = change_popup.down('#remove_msg1');
        change_popup.show();
        label.setText(label.text.replace(/\[.*\]/, change_popup.record.data.name));
    },

    cancel_edition: function() {
        if ( ! this.are_there_changes_on_form()) {
            window.location = '/opmon/seagull/modules/baseline/templates/app.php';
            return;
        }

        this.show_change_modal();
        var modal = Ext.getCmp('change_modal');
        modal.called_by = 'cancel_edition';
    },

    save_baseline_on_database: function(button, e, eOpts) {
        var record = Ext.create('baseline_manager.model.BaselineFormLoader').dump();
        var store = Ext.getStore('baselines');
        var baseline_name = record.get('name');

        if (record.get('id') === 0) {
            store.add(record);
        } else {
            temp = store.findRecord('id', record.get('id'));
            temp.set(record.data);
        }

        store.sync({
            failure: function(batch, options){
                var response = batch.proxy.getReader().rawData;

                Ext.MessageBox.show({
                    title: l["Request Status"],
                    msg: response.message,
                    icon: Ext.MessageBox.ERROR,
                    closable: true
                });
                store.reload();
            },
            success: function(batch, options){
                var response = batch.proxy.getReader().rawData;

                Ext.MessageBox.show({
                    title: l["Request Status"],
                    msg: "Baseline " + baseline_name + " " + t('saved'),
                    icon: Ext.MessageBox.INFO,
                    closable: true
                });

                record.set('id', response.new_id);
                record.dirty = false;
                Ext.getCmp('edit_baseline_name').getForm().getRecord().dirty = false;
                store.reload();
            }
        });
    },

    change_save_btn_clicked: function(button, e, eOpts) {
        var modal = button.up('change_modal');

        this.save_baseline_on_database();

        Ext.create('baseline_manager.model.BaselineFormLoader').load(modal.record);

        modal.destroy();
    },

    cmb_baselines_change: function(combo, records, eOpts) {
        combo.reset();
        if ( ! this.are_there_changes_on_form()) {
            Ext.create('baseline_manager.model.BaselineFormLoader').load(records[0]);
            return;
        }

        this.show_change_modal();
        var modal = Ext.getCmp('change_modal');
        modal.record = records[0];
        modal.called_by = 'cmb_baselines_change';
    },

    dontsave_baseline_changes: function(button, e, eOpts) {
        var modal = button.up('change_modal');

        if (modal.called_by === 'cancel_edition') {
            window.location = '/opmon/seagull/modules/baseline/templates/app.php';
            return;
        }

        if (modal.called_by === 'cmb_baselines_change') {
            var record = modal.record;
        }

        Ext.create('baseline_manager.model.BaselineFormLoader').load(record);

        modal.destroy();
    },

    baseline_save_as: function(button, e, eOpts) {
        var save_as_modal = Ext.create('baseline_manager.view.saveModal');
        save_as_modal.record = Ext.create('baseline_manager.model.BaselineFormLoader').dump();
        save_as_modal.show();
        save_as_modal.down('#save_as_new_name').setValue(save_as_modal.record.get('name') + '_' + t('copy'));
        save_as_modal.down('#save_as_new_descr').focus();
    },

    modal_save_as_cancel_btn: function(button, e, eOpts) {
        button.up('save_as_modal').destroy();
    },

    modal_save_as_new_btn: function(button, e, eOpts) {
        var modal = button.up('save_as_modal');
        var name = modal.down('#save_as_new_name');
        var descr = modal.down('#save_as_new_descr');
        var store = Ext.getStore('baselines');

        if (name.hasActiveError() || descr.hasActiveError()){
            return false;
        }

        modal.record.set('name', name.getValue());
        modal.record.set('description', descr.getValue());
        modal.record.set('id', 0);
        modal.record.set('metric', null);

        store.add(modal.record);
        store.sync({
            failure: function(batch, options){
                var response = batch.proxy.getReader().rawData;

                Ext.MessageBox.show({
                    title: l["Request Status"],
                    msg: response.message,
                    icon: Ext.MessageBox.ERROR,
                    closable: true
                });
                store.reload();
            },
            success: function(batch, options){
                var response = batch.proxy.getReader().rawData;

                Ext.MessageBox.show({
                    title: l["Request Status"],
                    msg: "Baseline " + name.getValue() + " " + t('saved'),
                    icon: Ext.MessageBox.INFO,
                    closable: true
                });

                modal.record.set('id', response.new_id);
                modal.record.dirty = false;
                Ext.getCmp('edit_baseline_name').getForm().getRecord().dirty = false;
                Ext.create('baseline_manager.model.BaselineFormLoader').load(modal.record);
                store.reload();
            }
        });
        modal.destroy();
    }

});
