/*
 * File: app/model/Baseline.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.model.Baseline', {
    extend: 'Ext.data.Model',

    requires: [
        'Ext.data.Field',
        'Ext.data.association.HasMany'
    ],
    uses: [
        'baseline_manager.model.Baseline_calendar',
        'baseline_manager.model.Metric'
    ],

    statics: {
        create_dynamic_name: function() {
            var now = new Date();

            return 'Baseline_' +
            now.getDay() + '_' +
            now.getMonth() + '_' +
            now.getFullYear() + '_' +
            now.getHours() + 'h_' +
            now.getMinutes() + 'min_' +
            now.getSeconds() + 's';
        }
    },

    fields: [
        {
            defaultValue: 0,
            name: 'id',
            type: 'int'
        },
        {
            convert: function(v, rec) {
                return v || baseline_manager.model.Baseline.create_dynamic_name();
            },
            name: 'name'
        },
        {
            convert: function(v, rec) {
                return v || baseline_manager.model.Baseline.create_dynamic_name();
            },
            name: 'description'
        },
        {
            defaultValue: 0,
            name: 'type',
            type: 'int'
        },
        {
            defaultValue: 5,
            name: 'samples',
            type: 'int'
        },
        {
            defaultValue: 3,
            name: 'alarm',
            type: 'int'
        },
        {
            defaultValue: 1,
            name: 'multiply_up',
            type: 'float'
        },
        {
            defaultValue: 1,
            name: 'multiply_down',
            type: 'float'
        },
        {
            dateReadFormat: 'Y-m-d H:i:s',
            name: 'created',
            type: 'date'
        },
        {
            dateReadFormat: 'Y-m-d H:i:s',
            name: 'last_update',
            type: 'date'
        },
        {
            defaultValue: 0,
            name: 'associated_metrics',
            type: 'int'
        },
        {
            name: 'calendar'
        },
        {
            name: 'metric'
        }
    ],

    hasMany: [
        {
            associationKey: 'calendar',
            model: 'baseline_manager.model.Baseline_calendar',
            foreignKey: 'baseline_id',
            name: 'calendar'
        },
        {
            associationKey: 'metrics',
            model: 'baseline_manager.model.Metric',
            foreignKey: 'baseline_id',
            name: 'metric'
        }
    ]
});