/*
 * File: app/model/DateMenuHelper.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.model.DateMenuHelper', {
    extend: 'Ext.data.Model',
    alias: 'model.DateMenuHelper',

    requires: [
        'Ext.data.Field'
    ],

    fields: [
        {
            defaultValue: 6,
            name: 'SATURDAY'
        },
        {
            defaultValue: 0,
            name: 'SUNDAY'
        },
        {
            defaultValue: 86400000,
            name: 'DAY_IN_MILISECONDS'
        },
        {
            defaultValue: 'td.x-datepicker-active',
            name: 'CLS_CELLS'
        }
    ],

    highlightDates: function(datepicker, dates, css_class) {
        //@link http://forums.ext.net/showthread.php?9551&p=72450&viewfull=1#post72450
        var me = this;
        var dateValues = [],
            el = datepicker.getEl(),
            cls = css_class || Baseline.Constants.CLS_CUSTOMIZED,
            cells = el.select(me.get('CLS_CELLS'));

        Ext.each(dates, function (date) {
            dateValues.push(date.getTime());
        });

        cells.filter(function (el) {
            var date = me.get_date_from_el(el);
            return (dateValues.indexOf(date.getTime()) > -1);
        }).addCls(cls);
    },

    highlight_font_of_days: function(datemenu, css_class) {
        //@link http://stackoverflow.com/questions/18529968/change-css-class-properties-in-extjs

        var me = this;
        var days = datemenu.getEl().query(me.get('CLS_CELLS'));
        css_class = css_class || Baseline.Constants.CLS_NON_WORK;

        Ext.each(days, function(day){
            date = new Date(day.title);
            day_element = Ext.get(day.childNodes[0]);
            if (date.getDay() == me.get('SUNDAY') || date.getDay() == me.get('SATURDAY')) {
                day_element.addCls(css_class);
            }

        });
    },

    highlight_background_of_changed_day: function(datepicker, date, cls) {
        this.highlightDates(datepicker, [date], cls);
    },

    remove_highlight_background_of_changed_day: function(datepicker, date, cls) {
        var me = this;
        var el = datepicker.getEl(),
            cells = el.select(me.get('CLS_CELLS'));

        cls = cls || Baseline.Constants.CLS_CUSTOMIZED;

        cells.filter(function (el) {
            var d = me.get_date_from_el(el);
            return (date.getTime() === d.getTime());
        });

        cells.removeCls(cls);
    },

    remove_highlight_background: function(datepicker, cls) {
        var me = this;
        var el = datepicker.getEl(),
            cells = el.select(me.get('CLS_CELLS'));

        cls = cls || Baseline.Constants.CLS_CUSTOMIZED;

        cells.removeCls(cls);
    },

    get_first_day_of_month: function(date) {
        //@link http://stackoverflow.com/questions/13571700/get-first-and-last-date-of-current-month-with-javascript-or-jquery
        return new Date(date.getFullYear(), date.getMonth(), 1);
    },

    get_last_day_of_month: function(date) {
        //@link http://stackoverflow.com/questions/13571700/get-first-and-last-date-of-current-month-with-javascript-or-jquery
        return new Date(date.getFullYear(), date.getMonth() + 1, 0);
    },

    calculate_work_day_index_until_date: function(start, end, datemenu) {
        var count = 0;
        var aux = new Date();
        var me = this;
        var is_work = false;
        var is_changed = false;
        aux.setTime(start.getTime());

        for (var day = start.getTime(); day <= end.getTime(); day += me.get('DAY_IN_MILISECONDS')) {
            aux.setTime(day);

            is_work = (aux.getDay() != me.get('SUNDAY') && aux.getDay() != me.get('SATURDAY'));

            if (datemenu) {
                is_changed = me.is_changed(aux, datemenu);
            }

            if (is_work && ( ! is_changed)) {
                count++;
            }

            if (( ! is_work) && is_changed) {
                count++;
            }
        }

        return count;
    },

    calculate_non_work_day_index_until_date: function(start, end, datemenu) {
        var count = 0;
        var aux = new Date();
        var me = this;
        var is_non_work = false;
        var is_changed = false;
        aux.setTime(start.getTime());

        for (day = start.getTime(); day <= end.getTime(); day += me.get('DAY_IN_MILISECONDS')) {
            aux.setTime(day);

            is_non_work = (aux.getDay() == me.get('SUNDAY') || aux.getDay() == me.get('SATURDAY'));

            if (datemenu) {
                is_changed = me.is_changed(aux, datemenu);
            }

            if (is_non_work && ( ! is_changed))  {
                count++;
            }

            if (( ! is_non_work) && is_changed) {
                count++;
            }
        }

        return count;
    },

    is_work_day: function(date) {
        return (date.getDay() != this.get('SUNDAY') && date.getDay() != this.get('SATURDAY'));
    },

    is_changed: function(date, datemenu, css_class) {
        var me = this;
        var el = datemenu.picker.getEl(),
            cls = css_class || Baseline.Constants.CLS_CHANGED,
            cells = el.select(me.get('CLS_CELLS'));

        var cell = cells.filter(function (el) {
            var d = me.get_date_from_el(el);
            return (date.getTime() === d.getTime());
        });

        var flag = false;

        Ext.each(cls.split(" "), function (cls) {
            if (flag) {
                return true;
            }
            cell.hasCls(cls);
            flag = me.el_contains_class(cell.el, cls);
        });

        return flag;
    },

    el_contains_class: function(el, cls) {
        return (el.dom.className.indexOf(cls) !== -1);
    },

    get_date_from_el: function(el) {
        return (this.el_contains_class(el, 'x-datepicker-today')) ? Ext.Date.clearTime(new Date()) : new Date(el.dom.title);
    }

});