Ext.define('baseline_manager.override.data.proxy.Ajax', {
    override: 'Ext.data.proxy.Ajax',
    useXhr: true,
    doRequest: function(operation, callback, scope) {
        var me = this,
            writer  = me.getWriter(),
            request = me.buildRequest(operation),
            method  = me.getMethod(request);

        if (operation.allowWrite()) {
            request = writer.write(request);
        }

        Ext.apply(request, {
            binary        : me.binary,
            headers       : me.headers,
            timeout       : me.timeout,
            scope         : me,
            callback      : me.createRequestCallback(request, operation, callback, scope),
            method        : "POST",
            disableCaching: false
        });

        if (method.toUpperCase() !== 'GET' && me.paramsAsJson) {
            request = Ext.apply({
                jsonData: request.params
            }, request);
            delete request.params;
        }
        
        Ext.Ajax.useDefaultXhrHeader = me.useXhr;
        Ext.Ajax.request(request);
        Ext.Ajax.useDefaultXhrHeader = true;

        return request;
    }
});