/*
 * File: app/view/baselineList.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.view.baselineList', {
    extend: 'Ext.container.Container',
    alias: 'widget.baselinelist',

    requires: [
        'Ext.form.field.Display',
        'Ext.button.Button',
        'Ext.grid.Panel',
        'Ext.grid.column.Number',
        'Ext.grid.column.Date',
        'Ext.grid.View',
        'Ext.grid.column.Action',
        'Ext.grid.plugin.CellEditing'
    ],

    id: 'baseline_list',

    layout: {
        type: 'hbox',
        align: 'stretch'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    flex: 1,
                    id: 'baseline_list_container',
                    layout: {
                        type: 'vbox',
                        align: 'stretch'
                    },
                    items: [
                        {
                            xtype: 'container',
                            margin: '0 0 5',
                            layout: {
                                type: 'hbox',
                                align: 'stretch',
                                padding: '3 7 3 15'
                            },
                            items: [
                                {
                                    xtype: 'displayfield',
                                    flex: 1,
                                    cls: 'main-title',
                                    id: 'main_title1',
                                    fieldLabel: '',
                                    value: 'Baselines cadastradas',
                                    listeners: {
                                        beforerender: {
                                            fn: me.translate_main_title,
                                            scope: me
                                        }
                                    }
                                },
                                {
                                    xtype: 'container',
                                    flex: 1,
                                    layout: {
                                        type: 'hbox',
                                        align: 'middle',
                                        pack: 'center'
                                    },
                                    items: [
                                        {
                                            xtype: 'container',
                                            flex: 1
                                        },
                                        {
                                            xtype: 'button',
                                            action: 'create_new_baseline',
                                            height: 24,
                                            iconCls: 'fa fa-plus icon-btn-small-rp icon-white',
                                            text: 'Criar nova baseline',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_new_baseline,
                                                    scope: me
                                                }
                                            }
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            flex: 1,
                            layout: {
                                type: 'hbox',
                                align: 'stretch'
                            },
                            items: [
                                {
                                    xtype: 'gridpanel',
                                    flex: 1,
                                    cls: 'oppanel',
                                    id: 'baseline_listgrid',
                                    padding: '0 20 15 15',
                                    title: '',
                                    store: 'baselines',
                                    columns: [
                                        {
                                            xtype: 'gridcolumn',
                                            dataIndex: 'name',
                                            text: 'Nome da baseline',
                                            flex: 1,
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_name_baseline_column,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'gridcolumn',
                                            dataIndex: 'description',
                                            text: 'Descrição da baseline',
                                            flex: 2,
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_baseline_description_column,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'numbercolumn',
                                            width: 120,
                                            align: 'right',
                                            dataIndex: 'associated_metrics',
                                            text: 'Nº de métricas',
                                            format: '0',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_number_of_metrics_column,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'datecolumn',
                                            width: 115,
                                            align: 'center',
                                            dataIndex: 'created',
                                            text: 'Data de criação',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_creation_date_column,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'datecolumn',
                                            width: 133,
                                            align: 'center',
                                            dataIndex: 'last_update',
                                            text: 'Última atualização',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_last_update_column,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'actioncolumn',
                                            action: 'delete_baseline',
                                            width: 30,
                                            tooltip: 'Apagar baseline',
                                            icon: 'resources/minus-circle_e8421e_16.png',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_delete_action_tooltip,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'actioncolumn',
                                            action: 'edit_baseline',
                                            width: 30,
                                            tooltip: 'Editar baseline',
                                            icon: 'resources/edit_555555_16.png',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_edit_action_tooltip,
                                                    scope: me
                                                }
                                            }
                                        }
                                    ],
                                    viewConfig: {
                                        deferEmptyText: false,
                                        emptyText: 'As baselines servem para analisar comportamentos anômalos no seu sistema.<br><a style="cursor: pointer; color:#157fcc; text-decoration: underline;" onclick="javascript: baseline_manager.app.getController(\'BaselineList\').create_new_modal_and_show();">Comece criando sua primeira baseline aqui</a>.<br><br>Caso precise de mais informações, acesse nossa <a style="cursor: pointer; color:#157fcc; text-decoration: underline;" href="http://kb.opservices.com.br" target="_blank">Base de Conhecimento</a> online.'
                                    },
                                    plugins: [
                                        Ext.create('Ext.grid.plugin.CellEditing', {

                                        })
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    translate_main_title: function(component, eOpts) {
        component.setValue(t('Baselines registered'));
    },

    translate_new_baseline: function(component, eOpts) {
        component.setText(t('Create new baseline'));
    },

    translate_name_baseline_column: function(component, eOpts) {
        component.setText(t('Baseline Name'));
    },

    translate_baseline_description_column: function(component, eOpts) {
        component.setText(t('Description of baseline'));
    },

    translate_number_of_metrics_column: function(component, eOpts) {
        component.setText(t('No. metrics'));
    },

    translate_creation_date_column: function(component, eOpts) {
        component.setText(t('Creation date'));
    },

    translate_last_update_column: function(component, eOpts) {
        component.setText(t('Last update'));
    },

    translate_delete_action_tooltip: function(component, eOpts) {
        component.tooltip = t('Delete baseline');
    },

    translate_edit_action_tooltip: function(component, eOpts) {
        component.tooltip = t('Edit baseline');
    }

});