/*
 * File: app/view/behaviorConfiguration.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.view.behaviorConfiguration', {
    extend: 'Ext.container.Container',
    alias: 'widget.behavior_configuration',

    requires: [
        'Ext.toolbar.Toolbar',
        'Ext.toolbar.Spacer',
        'Ext.button.Button',
        'Ext.form.Panel',
        'Ext.form.FieldSet',
        'Ext.form.field.Display',
        'Ext.form.FieldContainer',
        'Ext.form.field.ComboBox',
        'Ext.form.field.Number',
        'Ext.slider.Single',
        'Ext.menu.DatePicker'
    ],

    id: 'content_behavior',

    layout: {
        type: 'vbox',
        align: 'stretch'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    cls: 'grey-border-bottom',
                    margin: '0 0 10',
                    layout: {
                        type: 'hbox',
                        align: 'stretch'
                    },
                    items: [
                        {
                            xtype: 'toolbar',
                            flex: 1,
                            baseCls: 'x-toolbar 1grey-bg',
                            padding: '0 13 0'
                        },
                        {
                            xtype: 'panel',
                            flex: 1,
                            cls: 'oppanel',
                            title: 'Comportamento da baseline',
                            titleAlign: 'center',
                            listeners: {
                                beforerender: {
                                    fn: me.translate_title_edit_window,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'toolbar',
                            flex: 1,
                            baseCls: 'x-toolbar 1grey-bg',
                            padding: '0 13 0',
                            items: [
                                {
                                    xtype: 'tbspacer',
                                    flex: 1
                                },
                                {
                                    xtype: 'button',
                                    id: 'edit_metrics_btn',
                                    iconAlign: 'right',
                                    iconCls: '',
                                    text: 'Editar métricas associadas',
                                    listeners: {
                                        beforerender: {
                                            fn: me.translate_btn_edit_assoc_metrics,
                                            scope: me
                                        }
                                    }
                                }
                            ]
                        }
                    ]
                },
                {
                    xtype: 'form',
                    flex: 1,
                    id: 'edit_form',
                    layout: {
                        type: 'hbox',
                        align: 'stretch'
                    },
                    items: [
                        {
                            xtype: 'panel',
                            cls: 'opsubpanel grey-border-right',
                            id: 'baseline_behavior',
                            width: 300,
                            autoScroll: true,
                            collapseDirection: 'right',
                            collapsible: true,
                            title: '<i class="fa fa-cog"></i> Configuração do comportamento',
                            layout: {
                                type: 'vbox',
                                align: 'stretch'
                            },
                            items: [
                                {
                                    xtype: 'container',
                                    id: 'card_container',
                                    autoScroll: true,
                                    layout: 'card',
                                    items: [
                                        {
                                            xtype: 'container',
                                            cls: 'oppanel opsubpanel',
                                            id: 'behavior_defs',
                                            maxWidth: 300,
                                            padding: '5 15 0',
                                            layout: {
                                                type: 'vbox',
                                                align: 'stretch'
                                            },
                                            items: [
                                                {
                                                    xtype: 'container',
                                                    flex: 1,
                                                    layout: {
                                                        type: 'vbox',
                                                        align: 'stretch'
                                                    },
                                                    items: [
                                                        {
                                                            xtype: 'fieldset',
                                                            border: 0,
                                                            margin: '5 0 50',
                                                            padding: '0 0 15',
                                                            width: 270,
                                                            title: 'Amostra coletada',
                                                            items: [
                                                                {
                                                                    xtype: 'displayfield',
                                                                    hidden: true,
                                                                    id: 'baseline_algh',
                                                                    width: 110,
                                                                    fieldLabel: '<strong>Algoritmo</strong> de análise',
                                                                    labelAlign: 'top',
                                                                    labelSeparator: ' ',
                                                                    labelWidth: 90,
                                                                    value: 'Holtz-Winters',
                                                                    listeners: {
                                                                        beforerender: {
                                                                            fn: me.translate_baseline_algorithm_fld_label,
                                                                            scope: me
                                                                        }
                                                                    }
                                                                },
                                                                {
                                                                    xtype: 'container',
                                                                    height: 47,
                                                                    margin: '0 0 5',
                                                                    width: 250,
                                                                    layout: {
                                                                        type: 'hbox',
                                                                        align: 'stretch'
                                                                    },
                                                                    items: [
                                                                        {
                                                                            xtype: 'fieldcontainer',
                                                                            flex: 1,
                                                                            margin: '0 2 0 0',
                                                                            layout: 'hbox',
                                                                            fieldLabel: 'Período de comparação',
                                                                            labelAlign: 'top',
                                                                            labelSeparator: ' ',
                                                                            items: [
                                                                                {
                                                                                    xtype: 'combobox',
                                                                                    flex: 1,
                                                                                    id: 'baseline_season',
                                                                                    fieldLabel: '',
                                                                                    labelAlign: 'top',
                                                                                    labelSeparator: ' ',
                                                                                    name: 'type',
                                                                                    value: 1,
                                                                                    editable: false,
                                                                                    displayField: 'season',
                                                                                    queryMode: 'local',
                                                                                    store: 'seasons',
                                                                                    valueField: 'value'
                                                                                },
                                                                                {
                                                                                    xtype: 'button',
                                                                                    hidden: true,
                                                                                    id: 'calendar_btn',
                                                                                    margin: '0 0 0 5',
                                                                                    iconCls: 'fa fa-calendar icon-btn-small-rp icon-white',
                                                                                    text: 'Editar',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_btn_calendar_text,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                }
                                                                            ],
                                                                            listeners: {
                                                                                beforerender: {
                                                                                    fn: me.translate_cmb_baseline_season_fld_label,
                                                                                    scope: me
                                                                                }
                                                                            }
                                                                        }
                                                                    ]
                                                                },
                                                                {
                                                                    xtype: 'fieldcontainer',
                                                                    id: 'baseline_window',
                                                                    margin: '0 0 0',
                                                                    width: 250,
                                                                    layout: 'hbox',
                                                                    fieldLabel: 'Tamanho da amostra coletada',
                                                                    labelAlign: 'top',
                                                                    labelSeparator: ' ',
                                                                    items: [
                                                                        {
                                                                            xtype: 'numberfield',
                                                                            id: 'window_val',
                                                                            margin: '0 6 0 0',
                                                                            width: 65,
                                                                            labelAlign: 'top',
                                                                            name: 'samples',
                                                                            value: 5,
                                                                            editable: false,
                                                                            decimalPrecision: 0,
                                                                            maxValue: 20,
                                                                            minValue: 2
                                                                        },
                                                                        {
                                                                            xtype: 'container',
                                                                            flex: 1,
                                                                            id: 'window_control_container',
                                                                            layout: 'card',
                                                                            items: [
                                                                                {
                                                                                    xtype: 'displayfield',
                                                                                    cls: 'metric-unit',
                                                                                    id: 'window_legend',
                                                                                    margin: '1 0 0',
                                                                                    width: 60,
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_window_legend_text,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'slider',
                                                                                    id: 'window_slider',
                                                                                    margin: '4 2 -1 0',
                                                                                    fieldLabel: '',
                                                                                    labelAlign: 'top',
                                                                                    value: 8,
                                                                                    maxValue: 20,
                                                                                    minValue: 2,
                                                                                    useTips: false
                                                                                }
                                                                            ]
                                                                        }
                                                                    ],
                                                                    listeners: {
                                                                        beforerender: {
                                                                            fn: me.translate_sample_size_fld_label,
                                                                            scope: me
                                                                        }
                                                                    }
                                                                }
                                                            ],
                                                            listeners: {
                                                                beforerender: {
                                                                    fn: me.translate_fld_sample_collected_title,
                                                                    scope: me
                                                                }
                                                            }
                                                        },
                                                        {
                                                            xtype: 'fieldset',
                                                            border: 0,
                                                            margin: '10 0 0 0',
                                                            padding: '0 0 15',
                                                            width: 270,
                                                            title: 'Funcionamento do alarme',
                                                            layout: {
                                                                type: 'vbox',
                                                                align: 'stretch'
                                                            },
                                                            items: [
                                                                {
                                                                    xtype: 'combobox',
                                                                    id: 'baseline_alarm',
                                                                    margin: '0 2 5 0',
                                                                    width: 300,
                                                                    fieldLabel: 'Alarmar quando',
                                                                    labelAlign: 'top',
                                                                    labelSeparator: '...',
                                                                    labelWidth: 90,
                                                                    name: 'alarm',
                                                                    value: 2,
                                                                    editable: false,
                                                                    displayField: 'alarm_type',
                                                                    queryMode: 'local',
                                                                    store: 'alarms',
                                                                    valueField: 'value',
                                                                    listeners: {
                                                                        beforerender: {
                                                                            fn: me.translate_baseline_alarm_fld_label_and_value,
                                                                            scope: me
                                                                        }
                                                                    }
                                                                },
                                                                {
                                                                    xtype: 'fieldcontainer',
                                                                    height: 56,
                                                                    id: 'baseline_std_up',
                                                                    margin: '0 0 -5',
                                                                    layout: 'hbox',
                                                                    fieldLabel: 'Limite superior do intervalo de confiança',
                                                                    labelAlign: 'top',
                                                                    labelSeparator: ' ',
                                                                    items: [
                                                                        {
                                                                            xtype: 'numberfield',
                                                                            id: 'std_val_up',
                                                                            margin: '0 6 0 0',
                                                                            width: 65,
                                                                            labelAlign: 'right',
                                                                            name: 'multiply_up',
                                                                            value: 1,
                                                                            editable: false,
                                                                            decimalPrecision: 1,
                                                                            maxValue: 20,
                                                                            minValue: 0.1,
                                                                            step: 0.1
                                                                        },
                                                                        {
                                                                            xtype: 'container',
                                                                            flex: 1,
                                                                            id: 'slider_control_up',
                                                                            layout: 'card',
                                                                            items: [
                                                                                {
                                                                                    xtype: 'displayfield',
                                                                                    renderer: function(value, displayField) {
                                                                                        return t('standard deviation');
                                                                                    },
                                                                                    cls: 'metric-unit',
                                                                                    id: 'std_legend_up',
                                                                                    margin: '1 0 0',
                                                                                    value: 'desvios padrão'
                                                                                },
                                                                                {
                                                                                    xtype: 'slider',
                                                                                    id: 'std_slider_up',
                                                                                    margin: '4 2 -1 0',
                                                                                    width: 135,
                                                                                    fieldLabel: '',
                                                                                    labelAlign: 'top',
                                                                                    value: 1,
                                                                                    decimalPrecision: 1,
                                                                                    increment: 0.1,
                                                                                    keyIncrement: 0.1,
                                                                                    maxValue: 20,
                                                                                    minValue: 0.1,
                                                                                    useTips: false
                                                                                }
                                                                            ]
                                                                        }
                                                                    ],
                                                                    listeners: {
                                                                        beforerender: {
                                                                            fn: me.translate_upper_limit_fld_label,
                                                                            scope: me
                                                                        }
                                                                    }
                                                                },
                                                                {
                                                                    xtype: 'fieldcontainer',
                                                                    height: 50,
                                                                    id: 'baseline_std_down',
                                                                    margin: 0,
                                                                    layout: 'hbox',
                                                                    fieldLabel: 'Limite inferior do intervalo de confiança',
                                                                    labelAlign: 'top',
                                                                    labelSeparator: ' ',
                                                                    items: [
                                                                        {
                                                                            xtype: 'numberfield',
                                                                            id: 'std_val_down',
                                                                            margin: '0 6 0 0',
                                                                            maxHeight: 35,
                                                                            width: 65,
                                                                            labelAlign: 'right',
                                                                            name: 'multiply_down',
                                                                            value: 1,
                                                                            editable: false,
                                                                            decimalPrecision: 1,
                                                                            maxValue: 20,
                                                                            minValue: 0.1,
                                                                            step: 0.1
                                                                        },
                                                                        {
                                                                            xtype: 'container',
                                                                            flex: 1,
                                                                            id: 'slider_control_down',
                                                                            layout: 'card',
                                                                            items: [
                                                                                {
                                                                                    xtype: 'displayfield',
                                                                                    renderer: function(value, displayField) {
                                                                                        return t('standard deviation');
                                                                                    },
                                                                                    cls: 'metric-unit',
                                                                                    id: 'std_legend_down',
                                                                                    margin: '1 0 0',
                                                                                    value: 'desvios padrão'
                                                                                },
                                                                                {
                                                                                    xtype: 'slider',
                                                                                    id: 'std_slider_down',
                                                                                    margin: '4 2 -1 0',
                                                                                    width: 135,
                                                                                    fieldLabel: '',
                                                                                    labelAlign: 'top',
                                                                                    value: 1,
                                                                                    decimalPrecision: 1,
                                                                                    increment: 0.1,
                                                                                    keyIncrement: 0.1,
                                                                                    maxValue: 20,
                                                                                    minValue: 0.1,
                                                                                    useTips: false
                                                                                }
                                                                            ]
                                                                        }
                                                                    ],
                                                                    listeners: {
                                                                        beforerender: {
                                                                            fn: me.translate_lower_limit_fld_label,
                                                                            scope: me
                                                                        }
                                                                    }
                                                                }
                                                            ],
                                                            listeners: {
                                                                beforerender: {
                                                                    fn: me.translate_alarm_operation_title,
                                                                    scope: me
                                                                }
                                                            }
                                                        },
                                                        {
                                                            xtype: 'toolbar',
                                                            margin: '10 0 0',
                                                            items: [
                                                                {
                                                                    xtype: 'button',
                                                                    action: 'restore_form_values',
                                                                    margin: '5 0 0',
                                                                    text: 'Restaurar valores',
                                                                    listeners: {
                                                                        beforerender: {
                                                                            fn: me.translate_btn_restore_values_text,
                                                                            scope: me
                                                                        }
                                                                    }
                                                                }
                                                            ]
                                                        }
                                                    ]
                                                }
                                            ]
                                        },
                                        {
                                            xtype: 'container',
                                            id: 'calendar_defs',
                                            maxWidth: 299,
                                            minWidth: 299,
                                            width: 299,
                                            layout: {
                                                type: 'vbox',
                                                align: 'stretch',
                                                padding: '6 15 0'
                                            },
                                            items: [
                                                {
                                                    xtype: 'container',
                                                    id: 'calendar_header',
                                                    margin: '0 0 10 0',
                                                    layout: {
                                                        type: 'hbox',
                                                        align: 'middle'
                                                    },
                                                    items: [
                                                        {
                                                            xtype: 'fieldset',
                                                            flex: 1,
                                                            border: 0,
                                                            margin: '-1 0 0',
                                                            padding: 0,
                                                            title: 'Configurações do calendário',
                                                            listeners: {
                                                                beforerender: {
                                                                    fn: me.translate_fldset_calendar_settings_title,
                                                                    scope: me
                                                                }
                                                            }
                                                        },
                                                        {
                                                            xtype: 'displayfield',
                                                            hidden: true,
                                                            fieldLabel: '',
                                                            value: '<h4>Configurações do calendário</h4>'
                                                        },
                                                        {
                                                            xtype: 'button',
                                                            id: 'back_btn',
                                                            iconCls: 'fa fa-angle-left icon-btn-small-rp icon-white',
                                                            text: 'Voltar',
                                                            listeners: {
                                                                beforerender: {
                                                                    fn: me.translate_btn_return_text,
                                                                    scope: me
                                                                }
                                                            }
                                                        }
                                                    ]
                                                },
                                                {
                                                    xtype: 'container',
                                                    flex: 1,
                                                    id: 'calendar_content',
                                                    layout: {
                                                        type: 'vbox',
                                                        align: 'stretch'
                                                    },
                                                    items: [
                                                        {
                                                            xtype: 'datemenu',
                                                            border: 0,
                                                            floating: false,
                                                            id: 'calendar_month',
                                                            pickerId: 'selected_day'
                                                        },
                                                        {
                                                            xtype: 'container',
                                                            activeItem: 1,
                                                            id: 'day_card_container',
                                                            layout: 'card',
                                                            items: [
                                                                {
                                                                    xtype: 'form',
                                                                    cls: 'opsubpanel x-menu featured',
                                                                    hidden: true,
                                                                    id: 'alarm_custom',
                                                                    margin: '-32 0 0',
                                                                    width: 299,
                                                                    bodyCls: 'grey-bg',
                                                                    bodyPadding: '10 10 20',
                                                                    header: false,
                                                                    title: '10 dia útil do mês',
                                                                    items: [
                                                                        {
                                                                            xtype: 'fieldset',
                                                                            border: 0,
                                                                            cls: 'no-border',
                                                                            id: 'day_alarm_options',
                                                                            padding: '2 0',
                                                                            title: '10 de junho de 2015',
                                                                            layout: {
                                                                                type: 'vbox',
                                                                                align: 'stretch'
                                                                            },
                                                                            items: [
                                                                                {
                                                                                    xtype: 'combobox',
                                                                                    id: 'day_alarm',
                                                                                    width: 250,
                                                                                    fieldLabel: 'Alarmar quando',
                                                                                    labelAlign: 'top',
                                                                                    labelSeparator: '...',
                                                                                    labelWidth: 90,
                                                                                    name: 'ex_alarm',
                                                                                    value: 3,
                                                                                    editable: false,
                                                                                    displayField: 'alarm_type',
                                                                                    queryMode: 'local',
                                                                                    store: 'alarms',
                                                                                    valueField: 'value',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_custom_alarm,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'fieldcontainer',
                                                                                    flex: 1,
                                                                                    height: 50,
                                                                                    id: 'day_baseline_std_up',
                                                                                    margin: '0 0 10 0',
                                                                                    layout: 'hbox',
                                                                                    fieldLabel: 'Limite superior do intervalo de confiança',
                                                                                    labelAlign: 'top',
                                                                                    labelSeparator: ' ',
                                                                                    items: [
                                                                                        {
                                                                                            xtype: 'numberfield',
                                                                                            id: 'day_std_val_up',
                                                                                            margin: '0 6 0 0',
                                                                                            width: 65,
                                                                                            labelAlign: 'right',
                                                                                            name: 'ex_multiply_up',
                                                                                            value: 1,
                                                                                            editable: false,
                                                                                            decimalPrecision: 1,
                                                                                            maxValue: 20,
                                                                                            minValue: 0.1,
                                                                                            step: 0.1
                                                                                        },
                                                                                        {
                                                                                            xtype: 'container',
                                                                                            flex: 1,
                                                                                            id: 'day_slider_control_up',
                                                                                            layout: 'card',
                                                                                            items: [
                                                                                                {
                                                                                                    xtype: 'displayfield',
                                                                                                    renderer: function(value, displayField) {
                                                                                                        return t('standard deviation');
                                                                                                    },
                                                                                                    cls: 'metric-unit',
                                                                                                    id: 'day_std_legend_up',
                                                                                                    margin: '1 0 0',
                                                                                                    value: 'desvios padrão'
                                                                                                },
                                                                                                {
                                                                                                    xtype: 'slider',
                                                                                                    id: 'day_std_slider_up',
                                                                                                    margin: '4 2 -1 0',
                                                                                                    width: 135,
                                                                                                    fieldLabel: '',
                                                                                                    labelAlign: 'top',
                                                                                                    submitValue: false,
                                                                                                    value: 1,
                                                                                                    decimalPrecision: 1,
                                                                                                    increment: 0.1,
                                                                                                    keyIncrement: 0.1,
                                                                                                    maxValue: 20,
                                                                                                    minValue: 0.1,
                                                                                                    useTips: false
                                                                                                }
                                                                                            ]
                                                                                        }
                                                                                    ],
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_custom_upper_label,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'fieldcontainer',
                                                                                    flex: 1,
                                                                                    height: 55,
                                                                                    id: 'day_baseline_std_down',
                                                                                    margin: '-8 0 0',
                                                                                    layout: 'hbox',
                                                                                    fieldLabel: 'Limite inferior do intervalo de confiança',
                                                                                    labelAlign: 'top',
                                                                                    labelSeparator: ' ',
                                                                                    items: [
                                                                                        {
                                                                                            xtype: 'numberfield',
                                                                                            id: 'day_std_val_down',
                                                                                            margin: '0 6 0 0',
                                                                                            maxHeight: 35,
                                                                                            width: 65,
                                                                                            labelAlign: 'right',
                                                                                            name: 'ex_multiply_down',
                                                                                            value: 1,
                                                                                            editable: false,
                                                                                            decimalPrecision: 1,
                                                                                            maxValue: 20,
                                                                                            minValue: 0.1,
                                                                                            step: 0.1
                                                                                        },
                                                                                        {
                                                                                            xtype: 'container',
                                                                                            flex: 1,
                                                                                            id: 'day_slider_control_down',
                                                                                            layout: 'card',
                                                                                            items: [
                                                                                                {
                                                                                                    xtype: 'displayfield',
                                                                                                    renderer: function(value, displayField) {
                                                                                                        return t('standard deviation');
                                                                                                    },
                                                                                                    cls: 'metric-unit',
                                                                                                    id: 'day_std_legend_down',
                                                                                                    margin: '1 0 0',
                                                                                                    value: 'desvios padrão'
                                                                                                },
                                                                                                {
                                                                                                    xtype: 'slider',
                                                                                                    id: 'day_std_slider_down',
                                                                                                    margin: '4 2 -1 0',
                                                                                                    width: 135,
                                                                                                    fieldLabel: '',
                                                                                                    labelAlign: 'top',
                                                                                                    submitValue: false,
                                                                                                    value: 1,
                                                                                                    decimalPrecision: 1,
                                                                                                    increment: 0.1,
                                                                                                    keyIncrement: 0.1,
                                                                                                    maxValue: 20,
                                                                                                    minValue: 0.1,
                                                                                                    useTips: false
                                                                                                }
                                                                                            ]
                                                                                        }
                                                                                    ],
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_custom_lower_label,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                }
                                                                            ],
                                                                            listeners: {
                                                                                beforerender: {
                                                                                    fn: me.onDay_alarm_optionsBeforeRender,
                                                                                    scope: me
                                                                                }
                                                                            }
                                                                        }
                                                                    ],
                                                                    dockedItems: [
                                                                        {
                                                                            xtype: 'toolbar',
                                                                            dock: 'bottom',
                                                                            cls: 'left_container',
                                                                            items: [
                                                                                {
                                                                                    xtype: 'container',
                                                                                    items: [
                                                                                        {
                                                                                            xtype: 'button',
                                                                                            id: 'save_definitions',
                                                                                            text: 'Aplicar definições',
                                                                                            listeners: {
                                                                                                beforerender: {
                                                                                                    fn: me.translate_save_definitions,
                                                                                                    scope: me
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                    ]
                                                                                },
                                                                                {
                                                                                    xtype: 'tbspacer',
                                                                                    flex: 1
                                                                                },
                                                                                {
                                                                                    xtype: 'button',
                                                                                    id: 'calendar_month_restore_day',
                                                                                    text: 'Restaurar padrão',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_btn_restore_values,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            xtype: 'toolbar',
                                                                            dock: 'top',
                                                                            hidden: true,
                                                                            items: [
                                                                                {
                                                                                    xtype: 'tbspacer',
                                                                                    flex: 1
                                                                                },
                                                                                {
                                                                                    xtype: 'button',
                                                                                    hidden: true,
                                                                                    id: 'calendar_overview',
                                                                                    iconCls: 'fa fa-calendar-o icon-btn-small-rp icon-half-black',
                                                                                    text: 'Overview do calendário',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_btn_calendar_overview_text,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'tbspacer',
                                                                                    flex: 1
                                                                                }
                                                                            ]
                                                                        }
                                                                    ]
                                                                },
                                                                {
                                                                    xtype: 'panel',
                                                                    cls: 'opsubpanel featured x-menu',
                                                                    id: 'day_defs',
                                                                    margin: '-32 0 0',
                                                                    bodyCls: 'grey-bg',
                                                                    bodyPadding: 10,
                                                                    header: false,
                                                                    overlapHeader: false,
                                                                    title: '10 dia útil do mês',
                                                                    layout: {
                                                                        type: 'vbox',
                                                                        align: 'stretch'
                                                                    },
                                                                    items: [
                                                                        {
                                                                            xtype: 'fieldset',
                                                                            flex: 1,
                                                                            border: 0,
                                                                            cls: 'no-border',
                                                                            id: 'day_general',
                                                                            padding: '2 0',
                                                                            title: '10 de julho de 2015',
                                                                            layout: {
                                                                                type: 'vbox',
                                                                                align: 'stretch'
                                                                            },
                                                                            items: [
                                                                                {
                                                                                    xtype: 'displayfield',
                                                                                    flex: 1,
                                                                                    id: 'assignment',
                                                                                    fieldLabel: 'Atribuição',
                                                                                    labelWidth: 80,
                                                                                    value: '10 dia útil do mês',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_general_day_fld_label_and_value,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'fieldcontainer',
                                                                                    flex: 1,
                                                                                    height: 35,
                                                                                    id: 'day_type_card_container',
                                                                                    margin: '-5 0 0',
                                                                                    width: 200,
                                                                                    layout: 'card',
                                                                                    fieldLabel: 'Tipo de dia',
                                                                                    labelWidth: 80,
                                                                                    items: [
                                                                                        {
                                                                                            xtype: 'toolbar',
                                                                                            cls: 'grey-bg',
                                                                                            id: 'day_type_use',
                                                                                            padding: 0,
                                                                                            items: [
                                                                                                {
                                                                                                    xtype: 'container',
                                                                                                    items: [
                                                                                                        {
                                                                                                            xtype: 'button',
                                                                                                            cls: 'grouped-btn left-grouped-btn',
                                                                                                            id: 'work_day_use',
                                                                                                            margin: 0,
                                                                                                            width: 70,
                                                                                                            allowDepress: false,
                                                                                                            text: 'Útil',
                                                                                                            listeners: {
                                                                                                                beforerender: {
                                                                                                                    fn: me.translate_work_day,
                                                                                                                    scope: me
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    ]
                                                                                                },
                                                                                                {
                                                                                                    xtype: 'button',
                                                                                                    cls: 'grouped-btn right-grouped-btn',
                                                                                                    id: 'not_work_day_use',
                                                                                                    margin: '0 0 0 -8',
                                                                                                    width: 70,
                                                                                                    allowDepress: false,
                                                                                                    text: 'Não útil',
                                                                                                    listeners: {
                                                                                                        beforerender: {
                                                                                                            fn: me.translate_non_work,
                                                                                                            scope: me
                                                                                                        }
                                                                                                    }
                                                                                                }
                                                                                            ]
                                                                                        },
                                                                                        {
                                                                                            xtype: 'toolbar',
                                                                                            cls: 'grey-bg',
                                                                                            id: 'day_type_un',
                                                                                            padding: 0,
                                                                                            items: [
                                                                                                {
                                                                                                    xtype: 'button',
                                                                                                    cls: 'grouped-btn left-grouped-btn',
                                                                                                    id: 'work_day_un',
                                                                                                    margin: 0,
                                                                                                    width: 70,
                                                                                                    allowDepress: false,
                                                                                                    text: 'Útil',
                                                                                                    listeners: {
                                                                                                        beforerender: {
                                                                                                            fn: me.onWork_day_unBeforeRender,
                                                                                                            scope: me
                                                                                                        }
                                                                                                    }
                                                                                                },
                                                                                                {
                                                                                                    xtype: 'container',
                                                                                                    items: [
                                                                                                        {
                                                                                                            xtype: 'button',
                                                                                                            cls: 'grouped-btn right-grouped-btn',
                                                                                                            id: 'not_work_day_un',
                                                                                                            margin: 0,
                                                                                                            width: 70,
                                                                                                            allowDepress: false,
                                                                                                            text: 'Não útil',
                                                                                                            listeners: {
                                                                                                                beforerender: {
                                                                                                                    fn: me.onNot_work_day_unBeforeRender,
                                                                                                                    scope: me
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    ]
                                                                                                }
                                                                                            ]
                                                                                        }
                                                                                    ],
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_lbl_type_of_day_fld_label,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'displayfield',
                                                                                    hidden: true,
                                                                                    margin: '5 0 0',
                                                                                    fieldLabel: 'Comparado com os dias',
                                                                                    labelWidth: 80,
                                                                                    value: '13/05/2015, 14/04/2015, 13/03/2015, 12/02/2015, 15/01/2015, 13/12/2014',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_lbl_days_list_fldset_label,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                }
                                                                            ],
                                                                            listeners: {
                                                                                beforerender: {
                                                                                    fn: me.translate_day_general_title,
                                                                                    scope: me
                                                                                }
                                                                            }
                                                                        }
                                                                    ],
                                                                    dockedItems: [
                                                                        {
                                                                            xtype: 'toolbar',
                                                                            dock: 'bottom',
                                                                            cls: 'grey-bg',
                                                                            items: [
                                                                                {
                                                                                    xtype: 'button',
                                                                                    id: 'customize_alarm_for_this_day',
                                                                                    iconCls: 'fa fa-bell-o icon-btn-small-rp icon-half-black',
                                                                                    text: 'Personalizar alarme para este dia',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_btn_customize_alarm_for_this_day_text,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'tbspacer',
                                                                                    flex: 1
                                                                                }
                                                                            ]
                                                                        },
                                                                        {
                                                                            xtype: 'toolbar',
                                                                            flex: 1,
                                                                            dock: 'top',
                                                                            hidden: true,
                                                                            items: [
                                                                                {
                                                                                    xtype: 'tbspacer',
                                                                                    flex: 1
                                                                                },
                                                                                {
                                                                                    xtype: 'button',
                                                                                    hidden: true,
                                                                                    id: 'btn_overview_calendar_text2',
                                                                                    iconCls: 'fa fa-calendar-o icon-btn-small-rp icon-half-black',
                                                                                    text: 'Overview do calendário',
                                                                                    listeners: {
                                                                                        beforerender: {
                                                                                            fn: me.translate_btn_overview_calendar_text2,
                                                                                            scope: me
                                                                                        }
                                                                                    }
                                                                                },
                                                                                {
                                                                                    xtype: 'tbspacer',
                                                                                    flex: 1
                                                                                }
                                                                            ]
                                                                        }
                                                                    ]
                                                                }
                                                            ]
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ],
                            listeners: {
                                beforerender: {
                                    fn: me.translate_behavior_settings_title,
                                    scope: me
                                }
                            }
                        },
                        {
                            xtype: 'panel',
                            flex: 1,
                            cls: 'oppanel opsubpanel',
                            id: 'simulation_container',
                            margin: '0 0 0 5',
                            minHeight: 534,
                            bodyCls: '1grey-bg',
                            title: '',
                            layout: {
                                type: 'vbox',
                                align: 'stretch',
                                padding: '0 10 10'
                            },
                            items: [
                                {
                                    xtype: 'container',
                                    layout: {
                                        type: 'hbox',
                                        align: 'stretch'
                                    },
                                    items: [
                                        {
                                            xtype: 'panel',
                                            cls: 'opsubpanel',
                                            width: 250,
                                            title: '<i class="fa fa-line-chart"></i> Simulação do comportamento',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_graphic_title,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'toolbar',
                                            flex: 1,
                                            baseCls: 'x-toolbar 1grey-bg',
                                            layout: {
                                                type: 'hbox',
                                                padding: '0 4 0 0'
                                            },
                                            items: [
                                                {
                                                    xtype: 'tbspacer',
                                                    flex: 1
                                                },
                                                {
                                                    xtype: 'combobox',
                                                    hidden: true,
                                                    fieldLabel: '',
                                                    emptyText: 'Escolha uma métrica',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_cmb_metric_choose,
                                                            scope: me
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    xtype: 'container',
                                    flex: 1,
                                    id: 'chartdiv'
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    translate_title_edit_window: function(component, eOpts) {
        component.setTitle(t('Behavior of the baseline'));
    },

    translate_btn_edit_assoc_metrics: function(component, eOpts) {
        component.setText(t('Edit associated metrics'));
    },

    translate_baseline_algorithm_fld_label: function(component, eOpts) {
        component.setFieldLabel(t('<strong> Algorithm </ strong> analysis'));
    },

    translate_btn_calendar_text: function(component, eOpts) {
        component.setText(t('Edit'));
    },

    translate_cmb_baseline_season_fld_label: function(component, eOpts) {
        component.setFieldLabel(t('Comparison period'));
    },

    translate_window_legend_text: function(component, eOpts) {
        component.setValue(t('weeks'));
    },

    translate_sample_size_fld_label: function(component, eOpts) {
        component.setFieldLabel(t('Size of the collected sample'));
    },

    translate_fld_sample_collected_title: function(component, eOpts) {
        component.setTitle(t('Sample collected'));
    },

    translate_baseline_alarm_fld_label_and_value: function(component, eOpts) {
        component.setFieldLabel(t('Alarm when'));
    },

    translate_upper_limit_fld_label: function(component, eOpts) {
        component.setFieldLabel(t('<strong>Upper</strong> limit of the confidence interval'));
    },

    translate_lower_limit_fld_label: function(component, eOpts) {
        component.setFieldLabel(t('<strong>Lower</strong> limit of the confidence interval'));
    },

    translate_alarm_operation_title: function(component, eOpts) {
        component.setTitle(t('Alarm operation'));
    },

    translate_btn_restore_values_text: function(component, eOpts) {
        component.setText(t('Restore values'));
    },

    translate_fldset_calendar_settings_title: function(component, eOpts) {
        component.setTitle(t('Calendar settings'));
    },

    translate_btn_return_text: function(component, eOpts) {
        component.setText(t('Return'));
    },

    translate_custom_alarm: function(component, eOpts) {
        component.setFieldLabel(t('Alarm when'));
    },

    translate_custom_upper_label: function(component, eOpts) {
        component.setFieldLabel(t('<strong>Upper</strong> limit of the confidence interval'));
    },

    translate_custom_lower_label: function(component, eOpts) {
        component.setFieldLabel(t('<strong>Lower</strong> limit of the confidence interval'));
    },

    onDay_alarm_optionsBeforeRender: function(component, eOpts) {
        component.setTitle(Ext.Date.format(new Date(), "d " + t('\\o\\f') + " F " + t('\\o\\f') + " Y"));
    },

    translate_save_definitions: function(component, eOpts) {
        component.setText(t('Apply Settings'));
    },

    translate_btn_restore_values: function(component, eOpts) {
        component.setText(t('Restore default'));
    },

    translate_btn_calendar_overview_text: function(component, eOpts) {
        component.setText(t('Calendar Overview'));
    },

    translate_general_day_fld_label_and_value: function(component, eOpts) {
        component.setFieldLabel(t('Assignment'));
    },

    translate_work_day: function(component, eOpts) {
        component.setText(t('Work'));
    },

    translate_non_work: function(component, eOpts) {
        component.setText(t('Non work'));
    },

    onWork_day_unBeforeRender: function(component, eOpts) {
        this.translate_work_day(component, eOpts);
    },

    onNot_work_day_unBeforeRender: function(component, eOpts) {
        this.translate_non_work(component, eOpts);
    },

    translate_lbl_type_of_day_fld_label: function(component, eOpts) {
        component.setFieldLabel(t('Type of day'));
    },

    translate_lbl_days_list_fldset_label: function(component, eOpts) {
        component.setFieldLabel(t('Compared with the days'));
    },

    translate_day_general_title: function(component, eOpts) {
        component.setTitle(Ext.Date.format(new Date(), "d " + t('\\o\\f') + " F " + t('\\o\\f') + " Y"));
    },

    translate_btn_customize_alarm_for_this_day_text: function(component, eOpts) {
        component.setText(t('Customize alarm for this day'));
    },

    translate_btn_overview_calendar_text2: function(component, eOpts) {
        component.setText(t('Calendar Overview'));
    },

    translate_behavior_settings_title: function(component, eOpts) {
        component.setTitle('<i class="fa fa-cog"></i> ' + t('Setting behavior'));
    },

    translate_graphic_title: function(component, eOpts) {
        component.setTitle('<i class="fa fa-line-chart"></i> ' + t('Behavioral simulation'));
    },

    translate_cmb_metric_choose: function(component, eOpts) {
        component.emptyText = t('Choose a metric');
    }

});