/*
 * File: app/view/metricsList.js
 *
 * This file was generated by Sencha Architect version 3.2.0.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('baseline_manager.view.metricsList', {
    extend: 'Ext.container.Container',
    alias: 'widget.metric_list_container',

    requires: [
        'Ext.toolbar.Toolbar',
        'Ext.button.Button',
        'Ext.form.Panel',
        'Ext.form.FieldSet',
        'Ext.form.field.ComboBox',
        'Ext.grid.Panel',
        'Ext.grid.View',
        'Ext.selection.CheckboxModel',
        'Ext.form.Label',
        'Ext.toolbar.Spacer',
        'Ext.panel.Tool',
        'Ext.grid.column.Action'
    ],

    id: 'content_metrics',

    layout: {
        type: 'hbox',
        align: 'stretch'
    },

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'container',
                    flex: 1,
                    id: 'metrics_list_container',
                    layout: {
                        type: 'vbox',
                        align: 'stretch'
                    },
                    items: [
                        {
                            xtype: 'container',
                            cls: 'grey-border-bottom',
                            margin: '0 0 10',
                            layout: {
                                type: 'hbox',
                                align: 'stretch'
                            },
                            items: [
                                {
                                    xtype: 'container',
                                    flex: 1,
                                    padding: '10 15',
                                    items: [
                                        {
                                            xtype: 'toolbar',
                                            padding: 0,
                                            items: [
                                                {
                                                    xtype: 'button',
                                                    height: 24,
                                                    id: 'add_new_metrics',
                                                    iconCls: 'fa fa-plus-circle icon-btn-small-rp icon-green',
                                                    text: 'Adicionar novas métricas',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_add_new_metric_text,
                                                            scope: me
                                                        }
                                                    }
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    xtype: 'panel',
                                    cls: 'oppanel',
                                    width: 350,
                                    title: 'Métricas associadas à baseline',
                                    titleAlign: 'center',
                                    listeners: {
                                        beforerender: {
                                            fn: me.translate_assoc_metrics__title,
                                            scope: me
                                        }
                                    }
                                },
                                {
                                    xtype: 'container',
                                    flex: 1,
                                    padding: '10 21 10 10',
                                    layout: {
                                        type: 'hbox',
                                        align: 'middle',
                                        pack: 'center'
                                    },
                                    items: [
                                        {
                                            xtype: 'container',
                                            flex: 1
                                        },
                                        {
                                            xtype: 'button',
                                            id: 'back_from_metrics_list',
                                            iconCls: 'fa fa-angle-left icon-btn-small-rp icon-white',
                                            text: 'Voltar para Configurações',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_btn_return_text,
                                                    scope: me
                                                }
                                            }
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            xtype: 'container',
                            flex: 1,
                            layout: {
                                type: 'hbox',
                                align: 'stretch'
                            },
                            items: [
                                {
                                    xtype: 'form',
                                    flex: 0,
                                    autoShow: true,
                                    cls: 'opsubpanel grey-border-right',
                                    hidden: true,
                                    id: 'add_metric',
                                    width: 300,
                                    closable: true,
                                    closeAction: 'hide',
                                    title: '<i class="fa fa-plus"></i> Adicionar novas métricas',
                                    layout: {
                                        type: 'vbox',
                                        align: 'stretch',
                                        padding: '5 15'
                                    },
                                    items: [
                                        {
                                            xtype: 'fieldset',
                                            border: 0,
                                            id: 'choose_element_fieldset',
                                            margin: '5 0 0',
                                            padding: 0,
                                            title: 'Origem das métricas',
                                            layout: {
                                                type: 'vbox',
                                                align: 'stretch'
                                            },
                                            items: [
                                                {
                                                    xtype: 'combobox',
                                                    hidden: true,
                                                    id: 'choose_element_type',
                                                    fieldLabel: 'Tipo da origem das métricas',
                                                    labelAlign: 'top',
                                                    labelSeparator: ' ',
                                                    emptyText: 'Selecione o tipo do elemento',
                                                    editable: false,
                                                    displayField: 'name',
                                                    forceSelection: true,
                                                    queryMode: 'local',
                                                    store: 'element_types',
                                                    valueField: 'value',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_choose_element_type_fld_label_and_empty_text,
                                                            scope: me
                                                        }
                                                    }
                                                },
                                                {
                                                    xtype: 'combobox',
                                                    id: 'choose_host',
                                                    margin: '2 0',
                                                    fieldLabel: 'Selecione o host de origem',
                                                    labelAlign: 'top',
                                                    labelSeparator: ' ',
                                                    emptyText: 'Selecione o elemento',
                                                    displayField: 'name',
                                                    queryMode: 'local',
                                                    store: 'ws_json',
                                                    valueField: 'value',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_choose_host_fld_label_and_empty_text,
                                                            scope: me
                                                        }
                                                    }
                                                },
                                                {
                                                    xtype: 'combobox',
                                                    hidden: true,
                                                    id: 'choose_element',
                                                    margin: '2 0',
                                                    fieldLabel: 'Elemento origem das novas métricas',
                                                    labelAlign: 'top',
                                                    labelSeparator: ' ',
                                                    emptyText: 'Selecione o elemento',
                                                    displayField: 'name',
                                                    queryMode: 'local',
                                                    store: 'ws_json',
                                                    valueField: 'value',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_choose_element_fld_label_and_empty_text,
                                                            scope: me
                                                        }
                                                    }
                                                }
                                            ],
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_choose_element_fld_label,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'fieldset',
                                            border: 0,
                                            cls: 'no-border',
                                            hidden: true,
                                            id: 'choose_metrics_fieldset',
                                            margin: '35 0 0',
                                            minHeight: 30,
                                            padding: 0,
                                            title: 'Métricas disponíveis',
                                            layout: {
                                                type: 'vbox',
                                                align: 'stretch'
                                            },
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_metrics_grid_title,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'gridpanel',
                                            flex: 1,
                                            height: 600,
                                            hidden: true,
                                            id: 'choose_metrics_list',
                                            title: '',
                                            store: 'services_metrics',
                                            columns: [
                                                {
                                                    xtype: 'gridcolumn',
                                                    hidden: true,
                                                    id: 'add_metric_service_column',
                                                    dataIndex: 'metric_id',
                                                    hideable: false,
                                                    text: 'Serviço',
                                                    flex: 1
                                                },
                                                {
                                                    xtype: 'gridcolumn',
                                                    dataIndex: 'metric',
                                                    hideable: false,
                                                    text: 'Métrica',
                                                    flex: 1,
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_metrics_column_at_choose_metrics_list,
                                                            scope: me
                                                        }
                                                    }
                                                }
                                            ],
                                            selModel: Ext.create('Ext.selection.CheckboxModel', {

                                            }),
                                            dockedItems: [
                                                {
                                                    xtype: 'toolbar',
                                                    dock: 'bottom',
                                                    hidden: true,
                                                    items: [
                                                        {
                                                            xtype: 'label',
                                                            id: 'choose_metrics_counter',
                                                            text: '0 métricas selecionadas'
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ],
                                    dockedItems: [
                                        {
                                            xtype: 'toolbar',
                                            dock: 'bottom',
                                            items: [
                                                {
                                                    xtype: 'tbspacer',
                                                    flex: 1
                                                },
                                                {
                                                    xtype: 'button',
                                                    hidden: true,
                                                    text: 'Cancelar',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_btn_cancel,
                                                            scope: me
                                                        }
                                                    }
                                                },
                                                {
                                                    xtype: 'container',
                                                    items: [
                                                        {
                                                            xtype: 'button',
                                                            id: 'add_metrics_btn1',
                                                            margin: 0,
                                                            text: 'Adicionar',
                                                            listeners: {
                                                                beforerender: {
                                                                    fn: me.translate_btn_add,
                                                                    scope: me
                                                                }
                                                            }
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ],
                                    tools: [
                                        {
                                            xtype: 'tool',
                                            id: 'add_metrics_max_min',
                                            tooltip: 'Maximize view',
                                            type: 'maximize'
                                        }
                                    ],
                                    listeners: {
                                        close: {
                                            fn: me.onAddMetricFrameClose,
                                            scope: me
                                        },
                                        beforerender: {
                                            fn: me.translate_add_metric_form_title,
                                            scope: me
                                        }
                                    }
                                },
                                {
                                    xtype: 'gridpanel',
                                    flex: 1,
                                    cls: 'oppanel',
                                    id: 'metrics_listgrid',
                                    padding: '0 20 15 15',
                                    title: '',
                                    columns: [
                                        {
                                            xtype: 'gridcolumn',
                                            dataIndex: 'host',
                                            text: 'Host',
                                            flex: 1
                                        },
                                        {
                                            xtype: 'gridcolumn',
                                            dataIndex: 'service',
                                            text: 'Serviço',
                                            flex: 1,
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_service_column,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'gridcolumn',
                                            dataIndex: 'metric',
                                            text: 'Métrica',
                                            flex: 1,
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_metric_column,
                                                    scope: me
                                                }
                                            }
                                        },
                                        {
                                            xtype: 'actioncolumn',
                                            id: 'desassociate_metric',
                                            width: 30,
                                            tooltip: 'Desassociar esta métrica',
                                            icon: 'resources/minus-circle_e8421e_16.png',
                                            listeners: {
                                                beforerender: {
                                                    fn: me.translate_delete_action_tooltip,
                                                    scope: me
                                                }
                                            }
                                        }
                                    ],
                                    viewConfig: {
                                        deferEmptyText: false,
                                        emptyText: '',
                                        listeners: {
                                            beforerender: {
                                                fn: me.onViewBeforeRender,
                                                scope: me
                                            }
                                        }
                                    },
                                    dockedItems: [
                                        {
                                            xtype: 'toolbar',
                                            dock: 'top',
                                            hidden: true,
                                            padding: 0,
                                            items: [
                                                {
                                                    xtype: 'textfield',
                                                    flex: 1,
                                                    margin: '0 10 10',
                                                    emptyText: 'Filtrar por host',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_filter_by_host_field,
                                                            scope: me
                                                        }
                                                    }
                                                },
                                                {
                                                    xtype: 'textfield',
                                                    flex: 1,
                                                    margin: '0 10 10',
                                                    emptyText: 'Filtrar por serviço',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_filter_by_service_field,
                                                            scope: me
                                                        }
                                                    }
                                                },
                                                {
                                                    xtype: 'textfield',
                                                    flex: 1,
                                                    margin: '0 10 10',
                                                    emptyText: 'Filtrar por métrica',
                                                    listeners: {
                                                        beforerender: {
                                                            fn: me.translate_filter_by_metric_field,
                                                            scope: me
                                                        }
                                                    }
                                                },
                                                {
                                                    xtype: 'tbspacer',
                                                    width: 37
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    },

    translate_add_new_metric_text: function(component, eOpts) {
        component.setText(t('Add new metrics'));
    },

    translate_assoc_metrics__title: function(component, eOpts) {
        component.setTitle(t('Metrics associated with baseline'));
    },

    translate_btn_return_text: function(component, eOpts) {
        component.setText(t('Back to Settings'));
    },

    translate_choose_element_type_fld_label_and_empty_text: function(component, eOpts) {
        component.setFieldLabel(t('Kind of source of metrics'));
        component.emptyText = t('Select the type of the element');
    },

    translate_choose_host_fld_label_and_empty_text: function(component, eOpts) {
        component.setFieldLabel(t('Select the source host'));
        component.emptyText = t('Select the element');
    },

    translate_choose_element_fld_label_and_empty_text: function(component, eOpts) {
        component.emptyText = t('Select the element');
    },

    translate_choose_element_fld_label: function(component, eOpts) {
        component.setTitle(t('Origin of metrics'));
    },

    translate_metrics_grid_title: function(component, eOpts) {
        component.setTitle(t('Metrics available'));
    },

    translate_metrics_column_at_choose_metrics_list: function(component, eOpts) {
        component.setText(t('Metrics'));
    },

    translate_btn_cancel: function(component, eOpts) {
        component.setText(t('Cancel'));
    },

    translate_btn_add: function(component, eOpts) {
        component.setText(t('Add'));
    },

    onAddMetricFrameClose: function(panel, eOpts) {
        var metrics_list_panel_is_hidden = Ext.getCmp("metrics_listgrid").isHidden();
        if (metrics_list_panel_is_hidden) {
            Ext.getCmp("metrics_listgrid").show();
            Ext.getCmp("add_metrics_max_min").setType("maximize");
            Ext.getCmp("add_metrics_max_min").tooltip("Maximize view");
            Ext.getCmp("add_metric").flex = 0;
            Ext.getCmp("content_metrics").doLayout();
        }
    },

    translate_add_metric_form_title: function(component, eOpts) {
        component.setTitle('<i class="fa fa-plus"></i> ' + t('Add new metrics'));
    },

    translate_service_column: function(component, eOpts) {
        component.setText(t('Service'));
    },

    translate_metric_column: function(component, eOpts) {
        component.setText(t('Metric'));
    },

    onViewBeforeRender: function(component, eOpts) {
        component.emptyText = t('Select one or more exist metrics on your system to apply the baseline.') +
            ' <a style="cursor: pointer; color:#157fcc; text-decoration: underline;" onclick="Ext.getCmp(\'add_metric\').show();">' +
            t('Add your first metric') + '</a>.';
    },

    translate_delete_action_tooltip: function(component, eOpts) {
        component.tooltip = t('Disassociate this metric');
    },

    translate_filter_by_host_field: function(component, eOpts) {
        component.emptyText = t('Filter by host');
    },

    translate_filter_by_service_field: function(component, eOpts) {
        component.emptyText = t('Filter by service');
    },

    translate_filter_by_metric_field: function(component, eOpts) {
        component.emptyText = t('Filter by metric');
    }

});